﻿define(function (require) {

    var FrameInterFace = function () {
        var User = function (cb) {
            require([api.wgtRootDir + "/modules/user/script/router.js"], function (router) {
                if (cb) cb(router());
            })
        }

        var Setting = function (cb) {
            require([api.wgtRootDir + "/modules/setting/script/router.js"], function (router) {
                if (cb) cb(router());
            })
        }

        var Main = function (cb) {
            require([api.wgtRootDir + "/modules/main/script/router.js"], function (router) {
                if (cb) cb(router());
            })
        }

        var Road = function () {
            var getRoadItems = function (Sign, Type, CB) {
                var ApiBaseUrl = "http://119.62.44.163:820";
                if (!Sign) Sign = "";
                if (!Type) Type = "";
                var url = ApiBaseUrl + "/api/Base/Road/GetRoadItems";
                switch (Type) {
                    case "Weather":
                        url = ApiBaseUrl + "/api/Base/Weather/GetWeatherRoadItems";
                        break;
                }
                var PostData = {
                    Sign: Sign,
                    NowPage: 1,
                    PageSize: 2000,
                    Sort: "R_Code|asc",
                    Fields: "R_Code,R_ParentCode,R_Name,R_Length,R_LaneCount,R_PassArea,R_Note,R_RoadTypeCode"
                };
                var Result = {};

                AppFrame.Http.Post(url, PostData, function (BackData, err) {

                    if (BackData && BackData.Result == 1) {
                        switch (Type) {
                            case "Weather":
                                Result = BackData.Data;
                                break;
                            default:
                                Result = BackData.Data.Road.ListData;
                                break;
                        }
                        if (CB) CB(Result);
                    } else {
                        AppFrame.Ext.Toast("读取数据出错", "top");
                    }
                });
            }

            var getRoadItem = function (RoadCode, CB) {
                var url = "/api/Road/GetRoadItem";
                var PostData = {
                    RoadCode: RoadCode
                };
                AppFrame.Http.Post(url, PostData, function (BackData, err) {
                    if(BackData.Result==1){
                        if (CB) CB(BackData.Data);
                    }else{
                        AppFrame.Ext.Toast("读取数据出错", "top");
                    }
                });
            }

            return {
                getRoadItems: getRoadItems,
                getRoadItem: getRoadItem
            }
        }();


        return {
            User: User,
            Setting: Setting,
            Main: Main,
            Road: Road

        }
    }

    return FrameInterFace;

})