define(["ext"], function() {

	var Router = function() {
		var WinUrl = api.wgtRootDir + "/modules/win-frame.html"; //带头部导航的母版窗口
		var NoHeaderWinUrl = api.wgtRootDir + "/modules/win-frame-noheader.html"; //不带头部导航的母版窗口

		var RouterModel = {
			Index: {
				AppID: api.appId, //应用ID
				WinName: "Setting-Win", //Win的名称
				WinUrl: WinUrl, //Win的路径地址
				FrameName: 'Index', //Win中开启Frame的名称
				FrameUrl: api.wgtRootDir + "/modules/setting/index.html", //Win中开启Frame的路径地址
				BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title: '设置', //窗口标题
				slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress: false, //是否显示加载进度条
				Bounces: true, //Frame是否开启弹动效果
				ScaleEnabled: false, //Frame中的页面是否可以缩放
				Reload: false, //再次切换到此窗口时，是否重新加载Frame
				OpenAnimation: { //开启窗口的动画
					type: "movein",
					subType: "from_left",
					duration: 300
				},
				CloseAnimation: { //关闭窗口的动画
					type: "reveal",
					subType: "from_right",
					duration: 300
				}
			},

			About: {
				AppID: api.appId, //应用ID
				WinName: "About-Win", //Win的名称
				WinUrl: WinUrl, //Win的路径地址
				FrameName: 'about', //Win中开启Frame的名称
				FrameUrl: api.wgtRootDir + "/modules/setting/about.html", //Win中开启Frame的路径地址
				BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title: '关于我们', //窗口标题
				slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress: false, //是否显示加载进度条
				Bounces: true, //Frame是否开启弹动效果
				ScaleEnabled: false, //Frame中的页面是否可以缩放
				Reload: false, //再次切换到此窗口时，是否重新加载Frame
			},

			Feedback: {
				AppID: api.appId, //应用ID
				WinName: "Feedback-Win", //Win的名称
				WinUrl: WinUrl, //Win的路径地址
				FrameName: 'Feedback', //Win中开启Frame的名称
				FrameUrl: api.wgtRootDir + "/modules/setting/feed-back.html", //Win中开启Frame的路径地址
				BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title: '意见反馈', //窗口标题
				slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress: false, //是否显示加载进度条
				Bounces: true, //Frame是否开启弹动效果
				ScaleEnabled: false, //Frame中的页面是否可以缩放
				Reload: false, //再次切换到此窗口时，是否重新加载Frame
			},
			MsgSet: {
				AppID: api.appId, //应用ID
				WinName: "MsgSet-Win", //Win的名称
				WinUrl: WinUrl, //Win的路径地址
				FrameName: 'MsgSet', //Win中开启Frame的名称
				FrameUrl: api.wgtRootDir + "/modules/setting/msg-set.html", //Win中开启Frame的路径地址
				BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title: '消息通知', //窗口标题
				slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress: false, //是否显示加载进度条
				Bounces: true, //Frame是否开启弹动效果
				ScaleEnabled: false, //Frame中的页面是否可以缩放
				Reload: false, //再次切换到此窗口时，是否重新加载Frame
			},
			offLineMap: {
				AppID: api.appId, //应用ID
				WinName: "offLineMap-Win", //Win的名称
				WinUrl: api.wgtRootDir + "/modules/setting/offline_map_win.html", //Win的路径地址
				FrameName: 'offline_map_list_frame', //Win中开启Frame的名称
				FrameUrl: api.wgtRootDir + "/modules/setting/offline_map_list_frame.html", //Win中开启Frame的路径地址
				BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title: '离线地图', //窗口标题
				slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress: false, //是否显示加载进度条
				Bounces: false, //Frame是否开启弹动效果
				ScaleEnabled: false, //Frame中的页面是否可以缩放
				Reload: false, //再次切换到此窗口时，是否重新加载Frame
			},
			useragree: {
				AppID: api.appId, //应用ID
				WinName: "UserAgreeMent-Win", //Win的名称
				WinUrl: WinUrl, //Win的路径地址
				FrameName: 'UserAgreeMent', //Win中开启Frame的名称
				FrameUrl: api.wgtRootDir + "/modules/setting/UserAgreeMent.html", //Win中开启Frame的路径地址
				BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title: '用户协议', //窗口标题
				slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress: false, //是否显示加载进度条
				Bounces: true, //Frame是否开启弹动效果
				ScaleEnabled: false, //Frame中的页面是否可以缩放
				Reload: false, //再次切换到此窗口时，是否重新加载Frame
			}
		}

		var OpenSettingWin = function() {
			Ext.OpenWin(RouterModel.Index.WinName, RouterModel.Index.WinUrl, RouterModel.Index.slidBackEnabled, RouterModel.Index, RouterModel.Index.OpenAnimation);
		}

		var OpenAboutWin = function() {
			Ext.OpenWin(RouterModel.About.WinName, RouterModel.About.WinUrl, RouterModel.About.slidBackEnabled, RouterModel.About);
		}

		var OpenFeedbackWin = function() {
			Ext.OpenWin(RouterModel.Feedback.WinName, RouterModel.Feedback.WinUrl, RouterModel.Feedback.slidBackEnabled, RouterModel.Feedback);
		}

		var OpenMsgSetWin = function() {
			Ext.OpenWin(RouterModel.MsgSet.WinName, RouterModel.MsgSet.WinUrl, RouterModel.MsgSet.slidBackEnabled, RouterModel.MsgSet);
		}
		var OpenoffLineMapWin = function() {
		Ext.OpenWinByModel(RouterModel.offLineMap);
			//Ext.OpenWin(RouterModel.offLineMap.WinName, RouterModel.offLineMap.WinUrl, RouterModel.offLineMap.slidBackEnabled, RouterModel.offLineMap);
		}
		var OpenUserAgreeMentWin = function() {
		Ext.OpenWinByModel(RouterModel.useragree);
		}
		return {
			RouterModel: RouterModel,
			OpenSettingWin: OpenSettingWin,
			OpenAboutWin: OpenAboutWin,
			OpenFeedbackWin: OpenFeedbackWin,
			OpenUserAgreeMentWin:OpenUserAgreeMentWin,
			OpenMsgSetWin: OpenMsgSetWin,
			OpenoffLineMapWin: OpenoffLineMapWin
		}
	}
	return Router;

})