define(function() {
	var bMap = function() {
		var map, uiButton;
		var curUserLoc = {};
		var mapRect = {};

		map = api.require('uzBmap');
		uiButton = api.require('UIButton');

		//设置地图类型 standard（标准地图） trafficOn（打开实时路况）trafAndsate（实时路况和卫星地图）satellite（卫星地图） building (3d模式)
		var setMapType = function(type) {

			if (type == 'building') {
				map.setMapAttr({
					type : 'standard'
				});
				map.setBuilding({
					building : true
				});
				map.setZoomLevel({
					level : 15
				});
				map.setOverlook({
					degree : -45
				});
			} else {
				// map.setZoomLevel({
				// 	level : 8
				// });
				map.setMapAttr({
					type : type
				});
			}
		}
		//获取定位
		var getLocation = function(option, cb) {

			if (!option)
				option = {};
			map.getLocationServices(function(ret, err) {
				if (ret.enable) {
					map.getLocation({
						accuracy : option.accuracy ? option.accuracy : '100m',
						autoStop : option.autoStop ? option.autoStop : true,
						filter : option.filter ? option.filter : 1
					}, function(ret, err) {
						if (ret.status) {
							curUserLoc.lng = ret.lon;
							curUserLoc.lat = ret.lat;

							if (cb) {
								cb(ret);
							}
						}

						return curUserLoc;
					});
				} else {
					api.alert({
						msg : '请开启定位服务'
					})
					if (cb) {
						cb(null);
					}
					return null;
				}
			});

		}
		//显示用户位置
		var showUserLocation = function(type) {
			map.showUserLocation({
				isShow : true,
				trackingMode : type
			});
		}
		//开启地图
		var open = function(option, cb) {
			if (!option)
				option = {};
            option.targetFrameName=option.targetFrameName?option.targetFrameName:"";
			var _option = {
				rect : option.rect,
				center : {
					lon : curUserLoc.lng,
					lat : curUserLoc.lat
				},
				zoomLevel : option.zoomLevel ? option.zoomLevel : 10,
				showUserLocation : option.showUserLocation ? option.showUserLocation : true,
				fixedOn : option.fixedOn ? option.fixedOn : "",
				fixed : option.fixed ? option.fixed : true
			};

			mapRect = option.rect;
			if (option.center)
				_option.center = option.center;

			map.open(_option, function(ret) {
				if (option.IsShowUserLocationBtn) {
					mapControlBtn.addUserLocationBtn(option.rect.x + 10, option.rect.h);
				}
				if (option.IsShowTrafficBtn) {
					mapControlBtn.addTrafficBtn(option.rect.w - 50, option.rect.y + 10);
				}
				if (option.IsShowZoomBtn) {
					mapControlBtn.addZoomInBtn(option.rect.w - 50, option.rect.h - 40);
					mapControlBtn.addZoomOutBtn(option.rect.w - 50, option.rect.h);
				}
				if (option.IsShowLayerBtn) {
					mapControlBtn.addLayerBtn(option.rect.w - 50, option.rect.y + 50);
					layout.open('layerSelectFrame', 'widget://modules/controller/map/layerSelectFrame.html', 200, 'right', null, true, true,option);
				}
				if (option.IsShowMapCenterBtn) {
					mapControlBtn.addMapCenterBtn();
				}
				if (option.IsShowMapSelectPoi) {
					mapControlBtn.addMapSelectPoi(option.rect.w - 90, option.rect.h + option.rect.y - 0);
				}
				map.addEventListener({
					name : 'click'
				}, function(ret) {
					layout.UnShow();
					api.sendEvent({
						name : 'map.click',
						extra : ret
					});
				});
				map.addEventListener({
					name : 'longPress'
				}, function(ret) {
					layout.UnShow();
					api.sendEvent({
						name : 'map.longPress',
						extra : ret
					});
				});
				map.addEventListener({
					name : 'dbclick'
				}, function(ret) {
					layout.UnShow();
					api.sendEvent({
						name : 'map.dbclick',
						extra : ret
					});
				});
				//				map.addEventListener({
				//					name : 'zoom'
				//				}, function(ret) {
				//					layout.UnShow();
				//					api.sendEvent({
				//						name : 'map.zoom',
				//						extra : ret
				//					});
				//				});
				map.addEventListener({
					name : 'viewChange'
				}, function(ret) {
					//layout.UnShow();
					//alert(JSON.stringify(ret));
					api.sendEvent({
						name : 'map.viewChange',
						extra : ret
					});
				});
				if (cb)
					cb(ret);
			});
		}
		//隐藏地图
		var hide = function() {
			map.hide();
			mapControlBtn.hide();
		}
		//显示地图
		var show = function() {
			map.show();
			mapControlBtn.show();
		}
		//关闭地图
		var close = function() {
			map.removeEventListener({
				name : 'click'
			});
			map.removeEventListener({
				name : 'longPress'
			});
			map.removeEventListener({
				name : 'dbclick'
			});
			map.removeEventListener({
				name : 'viewChange'
			});
			map.close();
		}
		/**地图控制按钮 */
		var mapControlBtn = function() {
			var MapControlBtns = {};
			var add = function(type, option, cb) {
				(function(_type, _option) {
					uiButton.open({
						rect : _option.rect,
						corner : _option.corner ? _option.corner : 0,
						bg : _option.bg,
						fixed : _option.fixed ? _option.fixed : true,
						move : _option.move ? _option.move : false
					}, function(ret, err) {
						if (ret) {
							switch (ret.eventType) {
								case "show":
									MapControlBtns[ret.id] = _type;
									break;
								case "click":
									onClick(ret.id, cb);
									break;
							}

						}
					});
				})(type, option);
			}
			var addUserLocationBtn = function(x, y) {
				add("UserLocation", {
					rect : {
						x : x,
						y : y,
						w : 40,
						h : 40
					},
					bg : {
						normal : 'widget://image/map/UserLocation.png',
						highlight : 'widget://image/map/UserLocation_hove.png',
						active : 'widget://image/map/UserLocation.png'
					}
				});
			}
			var addTrafficBtn = function(x, y) {
				add("Traffic", {
					rect : {
						x : x,
						y : y,
						w : 40,
						h : 40
					},
					bg : {
						normal : 'widget://image/map/traffic.png',
						highlight : 'widget://image/map/traffic_hove.png',
						active : 'widget://image/map/traffic_active.png'
					}
				});
			}
			var addLayerBtn = function(x, y) {
				add("Layer", {
					rect : {
						x : x,
						y : y,
						w : 40,
						h : 40
					},
					bg : {
						normal : 'widget://image/map/Layer.png',
						highlight : 'widget://image/map/Layer_hove.png',
						active : 'widget://image/map/Layer.png'
					}
				});
			}
			var addZoomInBtn = function(x, y) {
				add("ZoomIn", {
					rect : {
						x : x,
						y : y,
						w : 40,
						h : 40
					},
					bg : {
						normal : 'widget://image/map/zoomIn.png',
						highlight : 'widget://image/map/zoomIn_hove.png',
						active : 'widget://image/map/zoomIn.png'
					}
				});
			}
			var addZoomOutBtn = function(x, y) {
				add("ZoomOut", {
					rect : {
						x : x,
						y : y,
						w : 40,
						h : 40
					},
					bg : {
						normal : 'widget://image/map/zoomOut.png',
						highlight : 'widget://image/map/zoomOut_hove.png',
						active : 'widget://image/map/zoomOut.png'
					}
				});
			}
			var addMapCenterBtn = function() {

				add("MapCenterMarkBtn", {
					rect : {
						x : mapRect.w/2-20,
						y : mapRect.h/2+mapRect.y-40,
						w : 40,
						h : 40
					},
					bg : {
						normal : 'widget://image/map/MapCenterMark.png',
						highlight : 'widget://image/map/MapCenterMark.png',
						active : 'widget://image/map/MapCenterMark.png'
					}
				});
			}
			var addMapSelectPoi = function(x, y) {
				add("MapSelectPoi", {
					rect : {
						x : x,
						y : y,
						w : 90,
						h : 40
					},
					bg : {
						normal : 'widget://image/map/selectpois.png',
						highlight : 'widget://image/map/selectpois.png',
						active : 'widget://image/map/selectpois.png'
					}
				});
			}
			var onClick = function(btnId, cb) {
				switch (MapControlBtns[btnId]) {
					case "UserLocation":
						showUserLocation('none');
						layout.hide();
						break;
					case "Traffic":
						uiButton.getState({
							id : btnId
						}, function(ret) {
							if (ret.state == 'active') {
								map.setTraffic({
									traffic : true
								});
							} else {
								map.setTraffic({
									traffic : false
								});
							}
						})
						break;
					case "Layer":
						layout.show('layerSelectFrame');
						break;
					case "ZoomIn":
						map.zoomIn();
						break;
					case "ZoomOut":
						map.zoomOut();
						break;
					case "MapSelectPoi":
						api.sendEvent({
							name : 'SetPois'
						});
						break;
					default:
						if (cb)
							cb(MapControlBtns[btnId], uiButton);
						break;
				}

			}
			/**设置按钮定位
			 * btnType 按钮标记
			 */
			var setRect = function(btnType, x, y) {
				var btnId = "";
				for (var i in MapControlBtns) {
					if (MapControlBtns[i] == btnType) {
						btnId = i;
						break;
					}
				}
				uiButton.setRect({
					id : btnId,
					rect : {
						x : x,
						y : y
					},
					anim : true
				});
			}
			var hide = function(btnType) {
				if (btnType) {
					var btnId = "";
					for (var i in MapControlBtns) {
						if (MapControlBtns[i] == btnType) {
							btnId = i;
							break;
						}
					}
					if (btnId != "") {
						uiButton.hide({
							id : btnId
						});
					}

				} else {
					for (var i in MapControlBtns) {
						uiButton.hide({
							id : i
						});
					}
				}
			}
			var show = function(btnType) {
				if (btnType) {
					var btnId = "";
					for (var i in MapControlBtns) {
						if (MapControlBtns[i] == btnType) {
							btnId = i;
							break;
						}
					}
					if (btnId != "") {
						uiButton.show({
							id : btnId
						});
					}

				} else {
					for (var i in MapControlBtns) {
						uiButton.show({
							id : i
						});
					}
				}
			}

            var close = function(btnType) {
                if (btnType) {
                    var btnId = "";
                    for (var i in MapControlBtns) {
                        if (MapControlBtns[i] == btnType) {
                            btnId = i;
                            break;
                        }
                    }
                    if (btnId != "") {
                        uiButton.close({
                            id : btnId
                        });
                    }

                } else {
                    for (var i in MapControlBtns) {
                        uiButton.show({
                            id : i
                        });
                    }
                }
            }

            var isHasBtn=function (btnType) {
				var isHas=false;
                for (var i in MapControlBtns) {
                    if (MapControlBtns[i] == btnType) {
                        isHas=true;
                        break;
                    }
                }
                return isHas;
            }

			return {
				addUserLocationBtn : addUserLocationBtn,
				addTrafficBtn : addTrafficBtn,
				addLayerBtn : addLayerBtn,
				addZoomOutBtn : addZoomOutBtn,
				addZoomInBtn : addZoomInBtn,
				addMapCenterBtn : addMapCenterBtn,
				addMapSelectPoi : addMapSelectPoi,
				setRect : setRect,
				hide : hide,
				show : show,
                close:close,
                isHasBtn:isHasBtn
			}
		}();
		/**Frame层 */
		var layout = function() {
			var layerItems = {};
			/**
			 * name : 标志名称 不能重复
			 * url：层地址
			 * size：尺寸 top 和 bottom 时代表hight left right 时 代表width
			 * direction 所在位置 top left right bottom
			 * isHide 创建时是否直接隐藏
			 * isAutoUnShow 是否触发自动隐藏或关闭
			 * param 传入的参数
			 */
			var open = function(name, url, size, direction, bgcolor, isHide, isAutoUnShow, param) {
				if (!param) {
					param = {};
				}
				var option = {
					isHide : isHide ? isHide : false,
					isAutoUnShow : isAutoUnShow ? isAutoUnShow : false,
					name : name,
					url : url,
					size : size,
					pageParam : param,
					bounces : false,
					bgColor : bgcolor ? bgcolor : 'rgba(0,0,0,0.7)',
					scaleEnabled : false,
					vScrollBarEnabled : false,
					hScrollBarEnabled : false,
					direction : direction,
					animation : {
						type : "movein",
						subType : "from_" + direction,
						duration : 300
					}
				};
				switch (direction) {
					case 'top':
						option.rect = {
							x : mapRect.x,
							y : mapRect.y,
							w : mapRect.w,
							h : size
						}
						break;
					case 'right':
						option.rect = {
							x : mapRect.w - size + mapRect.x,
							y : mapRect.y,
							w : size,
							h : mapRect.h
						}
						break;
					case 'bottom':
						option.rect = {
							x : mapRect.x,
							y : mapRect.h - size + mapRect.y,
							w : mapRect.w,
							h : size
						}
						break;
					case 'left':
						option.rect = {
							x : mapRect.x,
							y : mapRect.y,
							w : size,
							h : mapRect.h
						}
						break;
				}

				if (isHide) {
					option.rect.x = mapRect.w;
					option.closeEvent = 'hide';
				} else {
					option.closeEvent = 'close';
				}

				layerItems[name] = option;
				option.pageParam.layer = {
					name : name
				}
				api.openFrame(option);

			}
			/**
			 * 设置layer的属性
			 * name layer的名称
			 * attr 属性
			 */
			var setLayerAttr = function(name, attr) {
				var layer = layerItems[name];
				for (var i in attr) {
					layer[i] = attr[i];
				}
			}
			var setLayerSize = function(name, size) {
				var layer = layerItems[name];
				switch (layer.direction) {
					case 'top':
						layer.rect.h = size;
						break;
					case 'right':
						layer.rect.w = size;
						layer.rect.x = mapRect.w - size + mapRect.x;
						break;
					case 'bottom':
						layer.rect.h = size;
						layer.rect.y = mapRect.h - size + mapRect.y;
						break;
					case 'left':
						layer.rect.w = size;
						break;
				}

				api.setFrameAttr({
					name : name,
					rect : layer.rect
				});

			}
			var getLayerAttr = function(name) {
				var layer = layerItems[name];
				return layer;
			}
			var show = function(name, rect) {
				var layer = layerItems[name];
				layer.isHide = false;
				var option = {
					name : layer.name,
					rect : {
						x : mapRect.w - layer.rect.w
					}
				};
				layer.rect.x = option.rect.x;
				api.bringFrameToFront({
					from : name
				});
				api.setFrameAttr(option);
			}
			var hide = function(name) {
				if (name) {
					var layer = layerItems[name];
					layer.isHide = true;
					var option = {
						name : layer.name,
						rect : {
							x : mapRect.w
						}
					};
					api.setFrameAttr(option);
				} else {
					for (var name in layerItems) {

						var layer = layerItems[name];
						layer.isHide = true;
						var option = {
							name : name,
							rect : {
								x : mapRect.w
							}
						};
						api.setFrameAttr(option);
					}
				}

			}
			var close = function(name) {
				if (name) {
					api.closeFrame({
						name : name
					});
					delete layerItems[name];
				} else {

					for (var i in layerItems) {
						(function(name) {
							api.closeFrame({
								name : name
							});
							delete layerItems[name];
						})(i);

					}
				}

			}
			var isHasOpenLayer = function() {
				for (var i in layerItems) {
					var layer = layerItems[i];
					if (layer.isHide == false) {
						return true;
					}
				}
			}
			var UnShow = function(name) {
				if (name) {
					var layer = layerItems[name];
					if (layer.isAutoUnShow) {
						if (layer.closeEvent == 'hide') {
							hide(name);
						} else {
							close(name);
						}
					}
				} else {
					for (var name in layerItems) {
						var layer = layerItems[name];
						if (layer.isAutoUnShow) {
							if (layer.closeEvent == 'hide') {
								hide(name);
							} else {
								close(name);
							}
						}
					}
				}
			}

			return {
				open : open,
				show : show,
				hide : hide,
				close : close,
				UnShow : UnShow,
				isHasOpenLayer : isHasOpenLayer,
				setLayerAttr : setLayerAttr,
				setLayerSize : setLayerSize,
				getLayerAttr : getLayerAttr
			}
		}();

		/**Mark 点 */
		var mark = function() {
			var markModelItems = {};

			function markModel() {
				this.type = '';
				//mark分类
				this.id = '';
				//mark id
				this.lon = 0;
				// 经度
				this.lat = 0;
				// 纬度
				this.icon = '';
				//图标
				this.activeIcon = '';
				//点击激活后的图标
				this.isActive = false;
				//是否激活
				this.draggable = false;
				//是否允许拖动
				this.isHide = false;
			}

			var getMarkModel = function() {
				return new markModel();
			}
			var add = function(markModels, cb) {
				for (var i in markModels) {
					if (!markModels[i].defaultIcon) {
						markModels[i].defaultIcon = markModels[i].icon;
					}

					markModelItems[markModels[i].id] = markModels[i];
				}

				// markModelItems = markModelItems.concat(markModels);
				//console.log('markModels:'+JSON.stringify(markModels));
				map.addAnnotations({
					annotations : markModels,
				}, function(ret, err) {
					console.log(JSON.stringify(ret));
					if (ret) {
						if (ret.eventType == "click") {
							if (cb)
								cb(ret);
							setActive(markModelItems[ret.id], cb);
						}
					}
				});
			}
			/**设置为激活状态 */
			var setActive = function(markModel, cb) {

				for (var i in markModelItems) {
					if (markModelItems[i].isActive) {
						var newModel = getMarkModel();
						newModel = JSON.parse(JSON.stringify(markModelItems[i]));
						newModel.isActive = false;
						newModel.icon = newModel.defaultIcon;
						remove(markModelItems[i].type, [markModelItems[i].id]);
						add([newModel], cb);
					}
				}
				var newModel2 = JSON.parse(JSON.stringify(markModel));
				newModel2.isActive = true;
				newModel2.icon = newModel2.activeIcon;
				remove(markModel.type, [markModel.id]);
				add([newModel2], cb);

			}
			/**移除mark点
			 * markType mark分类
			 * ids 指定的id ids==null时，移除所有markType的点
			 */
			var remove = function(markType, ids) {
				if (ids && ids.length > 0) {
					for (var c in ids) {
						delete markModelItems[ids[c]];
					}
				} else {
					ids = [];
					for (var i in markModelItems) {
						if (markModelItems[i].type == markType) {
							ids.push(markModelItems[i].id);
						}
					}
					for (var c in ids) {
						delete markModelItems[ids[c]];
					}
				}

				map.removeAnnotations({
					ids : ids
				});

			}
			/**移除所有mark点 */
			var clear = function() {
				var ids = [];
				for (var i in markModelItems) {
					ids.push(markModelItems[i].id);
				}
				for (var c in ids) {
					delete markModelItems[ids[c]];
				}
				map.removeAnnotations({
					ids : ids
				});
			}
			var hide = function(markType, ids) {
				if (ids && ids.length > 0) {
					for (var c in ids) {
						for (var i = markModelItems.length - 1; i > -1; i--) {
							if (markModelItems[i].type == markType && markModelItems[i].id == ids[c]) {
								markModelItems[i].isHide = true;
							}
						}
					}
				} else {
					ids = [];
					for (var i = markModelItems.length - 1; i > -1; i--) {
						if (markModelItems[i].type == markType) {
							ids.push(markModelItems[i].id);
							markModelItems[i].isHide = true;
						}
					}
				}

				map.hideAnnotations({
					ids : ids
				});
			}
			var show = function(markType, ids) {
				if (ids && ids.length > 0) {
					for (var c in ids) {
						for (var i = markModelItems.length - 1; i > -1; i--) {
							if (markModelItems[i].type == markType && markModelItems[i].id == ids[c]) {
								markModelItems[i].isHide = false;
							}
						}
					}
				} else {
					ids = [];
					for (var i = markModelItems.length - 1; i > -1; i--) {
						if (markModelItems[i].type == markType) {
							ids.push(markModelItems[i].id);
							markModelItems[i].isHide = false;
						}
					}
				}
				map.showAnnotations({
					ids : ids
				});
			}

			return {
				add : add,
				hide : hide,
				show : show,
				getMarkModel : getMarkModel,
				remove : remove,
				clear : clear,
				setActive : setActive
			}

		}();

		var clusterMark = function() {
			var markModelItems = [];

			function markModel() {
				this.type = '';
				//mark分类
				this.id = '';
				//mark id
				this.lon = 0;
				// 经度
				this.lat = 0;
				// 纬度
				this.icon = '';
				//图标
				this.activeIcon = '';
				//点击激活后的图标
				this.isActive = false;
				//是否激活
				this.draggable = false;
				//是否允许拖动
				this.isHide = false;
			}

			var getMarkModel = function() {
				return new markModel();
			}
			var add = function(markModels, cb) {

				map.addClusterMark({
					Markers : markModels,
					bgcolor : '#ffffff',
					textcolor : '#000000'

				}, function(ret) {
					alert(1);
					alert(JSON.stringify(ret));
					if (ret.size == 1) {
						for (var i in markModelItems) {
							if (markModelItems[i].id == ret.id) {
								setActive(markModelItems[i], cb);
							}
						}
					}

					if (cb)
						cb(ret);
				});

			}
			var setActive = function(markModel, cb) {
				for (var i in markModelItems) {
					if (markModelItems[i].isActive) {
						markModelItems[i].isActive = false;
						map.setClusterMark({
							id : markModelItems[i].id,
							icon : markModelItems[i].icon
						});
					}
				}

				map.setClusterMark({
					id : markModel[i].id,
					icon : markModel[i].activeIcon
				});
			}
			/**移除mark点
			 * markType mark分类
			 * ids 指定的id ids==null时，移除所有markType的点
			 */
			var remove = function(markType, ids) {
				if (ids && ids.length > 0) {
					for (var c in ids) {
						for (var i = markModelItems.length - 1; i > -1; i--) {
							if (markModelItems[i].type == markType && markModelItems[i].id == ids[c]) {
								markModelItems.splice(i, 1);
							}
						}
					}
				} else {
					ids = [];
					for (var i = markModelItems.length - 1; i > -1; i--) {
						if (markModelItems[i].type == markType) {
							ids.push(markModelItems[i].id);
							markModelItems.splice(i, 1);
						}
					}
				}
				map.removeClusterMark({
					ids : ids
				});
			}
			var hide = function(markType, ids) {
				if (ids && ids.length > 0) {
					for (var c in ids) {
						for (var i = markModelItems.length - 1; i > -1; i--) {
							if (markModelItems[i].type == markType && markModelItems[i].id == ids[c]) {
								markModelItems[i].isHide = true;
							}
						}
					}
				} else {
					ids = [];
					for (var i = markModelItems.length - 1; i > -1; i--) {
						if (markModelItems[i].type == markType) {
							ids.push(markModelItems[i].id);
							markModelItems[i].isHide = true;
						}
					}
				}
				map.removeClusterMark({
					ids : ids
				});
			}
			var show = function(markType, ids, cb) {
				var marks = [];
				if (ids && ids.length > 0) {
					for (var c in ids) {
						for (var i = markModelItems.length - 1; i > -1; i--) {
							if (markModelItems[i].type == markType && markModelItems[i].id == ids[c]) {
								markModelItems[i].isHide = true;
								marks.push(markModelItems);
							}
						}
					}
				} else {
					ids = [];
					for (var i = markModelItems.length - 1; i > -1; i--) {
						if (markModelItems[i].type == markType) {
							ids.push(markModelItems[i].id);
							markModelItems[i].isHide = true;
							marks.push(markModelItems);
						}
					}
				}

				add(marks, cb);

			}
			/**移除所有mark点 */
			var clear = function() {
				var ids = [];
				for (var i = markModelItems.length - 1; i > -1; i--) {
					ids.push(markModelItems[i].id);
					markModelItems.splice(i, 1);
				}
				alert(JSON.stringify(ids));
				map.removeClusterMark({
					ids : ids
				});
			}

			return {
				add : add,
				hide : hide,
				show : show,
				getMarkModel : getMarkModel,
				remove : remove,
				clear : clear,
				setActive : setActive
			}

		}();

		return {
			uiButton : uiButton, //uiButton 组件
			map : map, //bMap 组件
			curUserLoc : curUserLoc, //我当前的位置
			setMapType : setMapType, //设置地图类型
			open : open, //开启地图
			show : show,
			hide : hide, //隐藏地图
			close : close, //关闭地图
			getLocation : getLocation, //获取定位
			showUserLocation : showUserLocation, //显示用户位置
			mapControlBtn : mapControlBtn, //地图控制btn
			layout : layout, //层窗口
			mark : mark,
			clusterMark : clusterMark
		}
	}();
	return bMap;
})