﻿var MsgBus = function () {
    var StorageName="AppSystemMsgArray";
    var SignListStorageName = "SignListStorageName";

    var Register = function (AppID) {
        var _SignList = GetSignList();
        var _Sign = {
            AppID:AppID
        };
        _SignList.push(_Sign);
        SetSignList(_SignList);
        setTimeout(function () { OnListen(AppID); }, 100);
    }

    var OnListen = function (AppID) {
        var _MsgArray = GetMsgArray();
        setTimeout(function () {
            for (var i = _MsgArray.length - 1; i >= 0 ; i--) {
                if (_MsgArray[i].AppID == AppID) {
                    var data = _MsgArray[i].Data;
                    api.sendEvent({
                        name: _MsgArray[i].Sign,
                        extra: _MsgArray[i]
                    });
                    RemoveMsg(AppID, _MsgArray[i].MsgID);
                }
            }
            OnListen(AppID);
        }, 10);

    }

    var CheckOut = function (AppID) {
        RemoveSign(AppID);
    }
    var On = function (Sign,CallBack) {
       
        api.addEventListener({
            name: Sign
        }, function (ret, err) {
            var Data = ret.value;
            CallBack(Data, err);
        });
    }


    var GetMsgArray = function () {
        var _MsgArray = $api.getStorage(StorageName);
        if (!_MsgArray) {
            _MsgArray = [];
        }
        return _MsgArray;
    }

    var SetMsgArray = function (Model) {
        $api.setStorage(StorageName, Model);
    }

    var RemoveMsg = function (AppID, MsgID) {
        var _MsgArray = GetMsgArray();
        for (var i = _MsgArray.length - 1; i >= 0 ; i--) {
            if (_MsgArray[i].AppID == AppID && _MsgArray[i].MsgID == MsgID) _MsgArray.splice(i, 1);
        }
        SetMsgArray(_MsgArray);
    }

    var GetSignList = function () {
        var _SignList = $api.getStorage(SignListStorageName);
        if (!_SignList) {
            _SignList = [];
        }
        return _SignList;
    }

    var SetSignList = function (Model) {
        $api.setStorage(SignListStorageName, Model);
    }

    var RemoveSign = function (AppID) {
        var _SignList = GetSignList();
        for (var i = _SignList.length - 1; i >= 0 ; i--) {
            if (_SignList[i].AppID == AppID ) _SignList.splice(i, 1);
        }
        SetSignList(_SignList);
    }

    var Send = function (TargetAppID , Sign ,  Data) {
        var _MsgArray = GetMsgArray();
        var _SignList = GetSignList();
        var IsHasApp = false;
        for (var i in _SignList) {
            if (_SignList[i].AppID == TargetAppID) {
                IsHasApp = true;
                break;
            }
        }
        if (IsHasApp) {
            var data = { MsgID: uuid(8, 16), AppID: TargetAppID, Sign: Sign, Data: Data };
            _MsgArray.push(data);
            SetMsgArray(_MsgArray);
        }
    }

    var Clear = function () {
        $api.rmStorage(StorageName);
    }

    var uuid  = function (len, radix) {
        var chars = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz'.split('');
        var uuid = [], i;
        radix = radix || chars.length;

        if (len) {
            // Compact form
            for (i = 0; i < len; i++) uuid[i] = chars[0 | Math.random() * radix];
        } else {
            // rfc4122, version 4 form
            var r;

            // rfc4122 requires these characters
            uuid[8] = uuid[13] = uuid[18] = uuid[23] = '-';
            uuid[14] = '4';

            // Fill in random data.  At i==19 set the high bits of clock sequence as
            // per rfc4122, sec. 4.1.5
            for (i = 0; i < 36; i++) {
                if (!uuid[i]) {
                    r = 0 | Math.random() * 16;
                    uuid[i] = chars[(i == 19) ? (r & 0x3) | 0x8 : r];
                }
            }
        }

        return uuid.join('');
    }

    return {
        Register: Register,
        CheckOut:CheckOut,
        StorageName: StorageName,
        On:On,
        Send: Send,
        RemoveMsg: RemoveMsg,
        Clear: Clear
    };
}();