define(function() {

    var Router = function(AppInfo) {
        var WinUrl = AppInfo.RootUrl + "/modules/win-frame.html"; //带头部导航的母版窗口
        var NoHeaderWinUrl = AppInfo.RootUrl + "/modules/win-frame-noheader.html"; //不带头部导航的母版窗口
        var RouterModel = {
	            Main: {
	                AppID: AppInfo.AppID, //应用ID
	                WinName: "bus-query-Win", //Win的名称
	                WinUrl: WinUrl, //Win的路径地址
	                FrameName: 'bus-query-frame', //Win中开启Frame的名称
	                FrameUrl: AppInfo.BaseUrl + "/modules/bus/main.html", //Win中开启Frame的路径地址
	                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
	                Title: '', //窗口标题
	                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
	                ShowProgress: false, //是否显示加载进度条
	                Bounces: true, //Frame是否开启弹动效果
	                ScaleEnabled: false, //Frame中的页面是否可以缩放
	                Reload: false //再次切换到此窗口时，是否重新加载Frame
	            },
	            MainInfo: {
	                AppID: AppInfo.AppID, //应用ID
	                WinName: "MainInfo-Win", //Win的名称
	                WinUrl: WinUrl, //Win的路径地址
	                FrameName: 'MainInfo-frame', //Win中开启Frame的名称
	                FrameUrl: AppInfo.BaseUrl + "/modules/bus/main-info.html", //Win中开启Frame的路径地址
	                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
	                Title: '', //窗口标题
	                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
	                ShowProgress: false, //是否显示加载进度条
	                Bounces: true, //Frame是否开启弹动效果
	                ScaleEnabled: false, //Frame中的页面是否可以缩放
	                Reload: false, //再次切换到此窗口时，是否重新加载Frame
	                CloseType:3
	            },
	            MainDetail: {
	                AppID: AppInfo.AppID, //应用ID
	                WinName: "MainDetail-Win", //Win的名称
	                WinUrl: WinUrl, //Win的路径地址
	                FrameName: 'MainDetail-frame', //Win中开启Frame的名称
	                FrameUrl: AppInfo.BaseUrl + "/modules/bus/main-detail.html", //Win中开启Frame的路径地址
	                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
	                Title: '', //窗口标题
	                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
	                ShowProgress: false, //是否显示加载进度条
	                Bounces: false, //Frame是否开启弹动效果
	                ScaleEnabled: false, //Frame中的页面是否可以缩放
	                //bottomBtn:'<div id="footer"class="ui-border-t"style="height: 55px; padding-top: 1px;"><ul class="tab"><li class="item tap"tapmode="hov"onclick="collection()"><i class="fa fa-star"></i><div class="span">收藏</div></li><li class="item tap"tapmode="hov"onclick="switchBus()"><i class="icon iconfont icon-huanxiang ft28"></i><div class="span">换向</div></li><li class="item tap"tapmode="hov"><i class="fa fa-refresh ft28"></i><div class="span">刷新</div></li><li class="item tap"tapmode="hov"><i class="fa fa-automobile ft28"></i><div class="span">上车</div></li></ul></div>',
	                RightBtnHtml:'<i class="fa fa-map"></i>',
	                Reload: false //再次切换到此窗口时，是否重新加载Frame
	                
	            },
	            //地图搜索
	            MapSearch:{
	            	AppID: AppInfo.AppID, //应用ID
	                WinName: "MapSearch-Win", //Win的名称
	                WinUrl: WinUrl, //Win的路径地址
	                FrameName: 'MapSearch-frame', //Win中开启Frame的名称
	                FrameUrl: AppInfo.BaseUrl + "/modules/bus/line-map-search-bus-station.html", //Win中开启Frame的路径地址
	                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
	                Title: '附近站点', //窗口标题
	                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
	                ShowProgress: false, //是否显示加载进度条
	                Bounces: false, //Frame是否开启弹动效果
	                ScaleEnabled: false, //Frame中的页面是否可以缩放
	                Reload: false //再次切换到此窗口时，是否重新加载Frame	               
	            },
	            //搜索
	            Search:{
	            	AppID: AppInfo.AppID, //应用ID
	                WinName: "Search-Win", //Win的名称
	                WinUrl: NoHeaderWinUrl, //Win的路径地址
	                FrameName: 'Search-frame', //Win中开启Frame的名称
	                FrameUrl: AppInfo.BaseUrl + "/modules/bus/search.html", //Win中开启Frame的路径地址
	                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
	                Title: '搜索', //窗口标题
	                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
	                ShowProgress: false, //是否显示加载进度条
	                Bounces: true, //Frame是否开启弹动效果
	                ScaleEnabled: false, //Frame中的页面是否可以缩放
	                Reload: false //再次切换到此窗口时，是否重新加载Frame	               
	            },
	            //路线规划
	            LineSearch:{
	            	AppID: AppInfo.AppID, //应用ID
	                WinName: "LineSearch-Win", //Win的名称
	                WinUrl: NoHeaderWinUrl, //Win的路径地址
	                FrameName: 'LineSearch-frame', //Win中开启Frame的名称
	                FrameUrl: AppInfo.BaseUrl + "/modules/bus/line-search.html", //Win中开启Frame的路径地址
	                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
	                Title: '路线规划', //窗口标题
	                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
	                ShowProgress: false, //是否显示加载进度条
	                Bounces: false, //Frame是否开启弹动效果
	                ScaleEnabled: false, //Frame中的页面是否可以缩放
	                Reload: false //再次切换到此窗口时，是否重新加载Frame	               
	            },
	            //路线规划
	            LineSearchPoi:{
	            	AppID: AppInfo.AppID, //应用ID
	                WinName: "LineSearchPoi-Win", //Win的名称
	                WinUrl: NoHeaderWinUrl, //Win的路径地址
	                FrameName: 'LineSearchPoi-frame', //Win中开启Frame的名称
	                FrameUrl: AppInfo.BaseUrl + "/modules/bus/line-search-poi.html", //Win中开启Frame的路径地址
	                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
	                Title: '出发点/目的地', //窗口标题
	                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
	                ShowProgress: false, //是否显示加载进度条
	                Bounces: false, //Frame是否开启弹动效果
	                ScaleEnabled: false, //Frame中的页面是否可以缩放
	                Reload: false //再次切换到此窗口时，是否重新加载Frame	               
	            },
	            //路线规划结果列表页
	            LineSearchList:{
	            	AppID: AppInfo.AppID, //应用ID
	                WinName: "LineSearchList-Win", //Win的名称
	                WinUrl: NoHeaderWinUrl, //Win的路径地址
	                FrameName: 'LineSearchList-frame', //Win中开启Frame的名称
	                FrameUrl: AppInfo.BaseUrl + "/modules/bus/line-search-list.html", //Win中开启Frame的路径地址
	                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
	                Title: '规划路线列表', //窗口标题
	                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
	                ShowProgress: false, //是否显示加载进度条
	                Bounces: false, //Frame是否开启弹动效果
	                ScaleEnabled: false, //Frame中的页面是否可以缩放
	                Reload: false //再次切换到此窗口时，是否重新加载Frame	               
	            },
	            //路线规划结果详情页
	            LineSearchInfo:{
	            	AppID: AppInfo.AppID, //应用ID
	                WinName: "LineSearchinfo-Win", //Win的名称
	                WinUrl: NoHeaderWinUrl, //Win的路径地址
	                FrameName: 'LineSearchinfo-frame', //Win中开启Frame的名称
	                FrameUrl: AppInfo.BaseUrl + "/modules/bus/line-search-info.html", //Win中开启Frame的路径地址
	                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
	                Title: '规划路线列表', //窗口标题
	                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
	                ShowProgress: false, //是否显示加载进度条
	                Bounces: false, //Frame是否开启弹动效果
	                ScaleEnabled: false, //Frame中的页面是否可以缩放
	                Reload: false //再次切换到此窗口时，是否重新加载Frame	               
	            },
	            //路线详情底部nav	            
	            LineInfoBottomFra:{
	            	AppID: AppInfo.AppID, //应用ID
	                WinName: "LineInfoBottomFra-Win", //Win的名称
	                WinUrl: NoHeaderWinUrl, //Win的路径地址
	                FrameName: 'LineInfoBottomFra-frame', //Win中开启Frame的名称
	                FrameUrl: AppInfo.BaseUrl + "/modules/bus/layout-line-info-bottom.html", //Win中开启Frame的路径地址
	                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
	                Title: '规划路线详情layout-bottom', //窗口标题
	                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
	                ShowProgress: false, //是否显示加载进度条
	                Bounces: false, //Frame是否开启弹动效果
	                ScaleEnabled: false, //Frame中的页面是否可以缩放	                
	                Reload: false //再次切换到此窗口时，是否重新加载Frame
	                              
	            },
	            //路线详情topframe	            
	            LineInfoTopFra:{
	            	AppID: AppInfo.AppID, //应用ID
	                WinName: "LineInfoTopFra-Win", //Win的名称
	                WinUrl: NoHeaderWinUrl, //Win的路径地址
	                FrameName: 'LineInfoTopFra-frame', //Win中开启Frame的名称
	                FrameUrl: AppInfo.BaseUrl + "/modules/bus/layout-line-info-top.html", //Win中开启Frame的路径地址
	                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
	                Title: '规划路线详情layout-top', //窗口标题
	                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
	                ShowProgress: false, //是否显示加载进度条
	                Bounces: false, //Frame是否开启弹动效果
	                ScaleEnabled: false, //Frame中的页面是否可以缩放	                
	                Reload: false //再次切换到此窗口时，是否重新加载Frame
	                              
	            },
	            //公交规划路线显示到地图            
	            LineToMap:{
	            	AppID: AppInfo.AppID, //应用ID
	                WinName: "LineToMap-Win", //Win的名称
	                WinUrl: NoHeaderWinUrl, //Win的路径地址
	                FrameName: 'LineToMap-frame', //Win中开启Frame的名称
	                FrameUrl: AppInfo.BaseUrl + "/modules/bus/line-to-map.html", //Win中开启Frame的路径地址
	                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
	                Title: '公交规划路线显示到地图', //窗口标题
	                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
	                ShowProgress: false, //是否显示加载进度条
	                Bounces: false, //Frame是否开启弹动效果
	                ScaleEnabled: false, //Frame中的页面是否可以缩放	                
	                Reload: false //再次切换到此窗口时，是否重新加载Frame	                             
	            },
	            //在地图中选取一个点            
	            lineMapSelectPoi:{
	            	AppID: AppInfo.AppID, //应用ID
	                WinName: "lineMapSelectPoi-Win", //Win的名称
	                WinUrl: NoHeaderWinUrl, //Win的路径地址
	                FrameName: 'lineMapSelectPoi-frame', //Win中开启Frame的名称
	                FrameUrl: AppInfo.BaseUrl + "/modules/bus/line-map-select-poi-single.html", //Win中开启Frame的路径地址
	                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
	                Title: '公交规划路线显示到地图', //窗口标题
	                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
	                ShowProgress: false, //是否显示加载进度条
	                Bounces: false, //Frame是否开启弹动效果
	                ScaleEnabled: false, //Frame中的页面是否可以缩放	                
	                Reload: false //再次切换到此窗口时，是否重新加载Frame	                             
	            },
//	            queryResult:{
//	            	AppID: AppInfo.AppID, //应用ID
//	                WinName: "queryResult-Win", //Win的名称
//	                WinUrl: WinUrl, //Win的路径地址
//	                FrameName: 'queryResult-frame', //Win中开启Frame的名称
//	                FrameUrl: AppInfo.BaseUrl + "/modules/bus/queryResult.html", //Win中开启Frame的路径地址
//	                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
//	                Title: '查询结果', //窗口标题
//	                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
//	                ShowProgress: false, //是否显示加载进度条
//	                Bounces: true, //Frame是否开启弹动效果
//	                ScaleEnabled: false, //Frame中的页面是否可以缩放
//	                Reload: false //再次切换到此窗口时，是否重新加载Frame
//	            },
	            layoutFrame:{
	            	AppID: AppInfo.AppID, //应用ID
	                WinName: "layoutFrame-Win", //Win的名称
	                WinUrl: WinUrl, //Win的路径地址
	                FrameName: 'layoutFrame-frame', //Win中开启Frame的名称
	                FrameUrl: AppInfo.BaseUrl + "/modules/bus/layout-frame.html", //Win中开启Frame的路径地址
	                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
	                Title: '', //窗口标题
	                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
	                ShowProgress: false, //是否显示加载进度条
	                Bounces: true, //Frame是否开启弹动效果
	                ScaleEnabled: false, //Frame中的页面是否可以缩放
	                Reload: false, //再次切换到此窗口时，是否重新加载Frame
	                rect : {
						x : 0,
						y : api.winHeight - 170,
						w : api.winWidth,
						h : 215,
						marginBottom : 0
					}
	            },
	            layoutFrameLine:{
	            	AppID: AppInfo.AppID, //应用ID
	                WinName: "layoutFrameLine-Win", //Win的名称
	                WinUrl: WinUrl, //Win的路径地址
	                FrameName: 'layoutFrameLine-frame', //Win中开启Frame的名称
	                FrameUrl: AppInfo.BaseUrl + "/modules/bus/layout-frame-line.html", //Win中开启Frame的路径地址
	                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
	                Title: '', //窗口标题
	                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
	                ShowProgress: false, //是否显示加载进度条
	                Bounces: true, //Frame是否开启弹动效果
	                ScaleEnabled: false, //Frame中的页面是否可以缩放
	                Reload: false, //再次切换到此窗口时，是否重新加载Frame
	                rect : {
						x : 0,
						y : api.winHeight - 170,
						w : api.winWidth,
						h : 415,
						marginBottom : 0
					}
	            },
	            MapPoi:{
	            	AppID: AppInfo.AppID, //应用ID
	                WinName: "MapPoi-Win", //Win的名称
	                WinUrl: WinUrl, //Win的路径地址
	                FrameName: 'MapPoi-frame', //Win中开启Frame的名称
	                FrameUrl: AppInfo.BaseUrl + "/modules/bus/map-poi.html", //Win中开启Frame的路径地址
	                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
	                Title: '', //窗口标题
	                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
	                ShowProgress: false, //是否显示加载进度条
	                Bounces: true, //Frame是否开启弹动效果
	                ScaleEnabled: false, //Frame中的页面是否可以缩放
	                Reload: false //再次切换到此窗口时，是否重新加载Frame	               
	            },
	            MapBusLine:{
	            	AppID: AppInfo.AppID, //应用ID
	                WinName: "MapBusLine-Win", //Win的名称
	                WinUrl: WinUrl, //Win的路径地址
	                FrameName: 'MapBusLine-frame', //Win中开启Frame的名称
	                FrameUrl: AppInfo.BaseUrl + "/modules/bus/map-bus-line.html", //Win中开启Frame的路径地址
	                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
	                Title: '', //窗口标题
	                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
	                ShowProgress: false, //是否显示加载进度条
	                Bounces: true, //Frame是否开启弹动效果
	                ScaleEnabled: false, //Frame中的页面是否可以缩放	                
	                //RightBtnHtml:'<i class="fa fa-map"></i>',
	                CloseType:3,
	                Reload: false //再次切换到此窗口时，是否重新加载Frame	               
	            },
	            test:{
	            	AppID: AppInfo.AppID, //应用ID
	                WinName: "test-Win", //Win的名称
	                WinUrl: WinUrl, //Win的路径地址
	                FrameName: 'test-frame', //Win中开启Frame的名称
	                FrameUrl: AppInfo.BaseUrl + "/modules/bus/test.html", //Win中开启Frame的路径地址
	                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
	                Title: '', //窗口标题
	                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
	                ShowProgress: false, //是否显示加载进度条
	                Bounces: true, //Frame是否开启弹动效果
	                ScaleEnabled: false, //Frame中的页面是否可以缩放	                
	                //RightBtnHtml:'<i class="fa fa-map"></i>',
	                Reload: false //再次切换到此窗口时，是否重新加载Frame	               
	            }
	        
        }
	     //test
        var Opentest = function(data){
//      	RouterModel.MainInfo.Para = data;
//      	RouterModel.MainInfo.Title = data.name;
//      	RouterModel.MainInfo.WinName +=data.uid;
//      	RouterModel.MainInfo.FrameName +=data.uid; 
        	     	
        	Ext.OpenWin(RouterModel.test.WinName , RouterModel.test.WinUrl , RouterModel.test.slidBackEnabled, RouterModel.test);
        }

        var OpenMainFrame = function() {        
            Ext.OpenFrame(RouterModel.Main.FrameName, RouterModel.Main.FrameUrl, null, RouterModel.Main.BgColor, false, true, false, false);
        }
        
        //公交信息页面
        var OpenMainInfo = function(data){
        	RouterModel.MainInfo.Para = data;
        	RouterModel.MainInfo.Title = data.name;
        	RouterModel.MainInfo.WinName +=data.uid;
        	RouterModel.MainInfo.FrameName +=data.uid; 
        	     	
        	Ext.OpenWin(RouterModel.MainInfo.WinName , RouterModel.MainInfo.WinUrl , RouterModel.MainInfo.slidBackEnabled, RouterModel.MainInfo);
        }
        
        //公交站详情页
        var OpenMainDetail = function(data){
        	RouterModel.MainDetail.Para = data;
        	RouterModel.MainDetail.Title = data.name;  
        	RouterModel.MainDetail.WinName +=data.name;
        	RouterModel.MainDetail.FrameName +=data.name;
        	//Ext.OpenWin(RouterModel.MainDetail.WinName , RouterModel.MainDetail.WinUrl , RouterModel.MainDetail.slidBackEnabled, RouterModel.MainDetail);
        	Ext.OpenWinByModel(RouterModel.MainDetail);
        }  
        
        //地图搜索
        var OpenMapSearch =function(data){
        	RouterModel.MapSearch.Para = data;
        	//RouterModel.MapSearch.Title = data.name;        	
        	Ext.OpenWin(RouterModel.MapSearch.WinName , RouterModel.MapSearch.WinUrl , RouterModel.MapSearch.slidBackEnabled, RouterModel.MapSearch);
        }
        
        //打开地图
        var OpenSearch = function(data){
        	RouterModel.Search.Para = data;
        	//RouterModel.Search.Title = data.name;     
        	Ext.OpenWin(RouterModel.Search.WinName , RouterModel.Search.WinUrl , RouterModel.Search.slidBackEnabled, RouterModel.Search);
        }
        
         //路线规划
         var OpenLineSearchFrame= function(data){
        	RouterModel.LineSearch.Para = data;
        	//RouterModel.Search.Title = data.name;     
        	//Ext.OpenWin(RouterModel.LineSearch.WinName , RouterModel.LineSearch.WinUrl , RouterModel.LineSearch.slidBackEnabled, RouterModel.LineSearch);
        	Ext.OpenFrame(RouterModel.LineSearch.FrameName, RouterModel.LineSearch.FrameUrl, null, RouterModel.LineSearch.BgColor, false, true, false, false);
        }
        //位置搜索
        var OpenLineSearchPoi = function(data){
        	RouterModel.LineSearchPoi.Para = data;
        	Ext.OpenWin(RouterModel.LineSearchPoi.WinName , RouterModel.LineSearchPoi.WinUrl , RouterModel.LineSearchPoi.slidBackEnabled, RouterModel.LineSearchPoi);
        }
        //搜索结果列表
        var OpenLineSearchList = function(data){
        	RouterModel.LineSearchList.Para = data;
        	Ext.OpenWin(RouterModel.LineSearchList.WinName , RouterModel.LineSearchList.WinUrl , RouterModel.LineSearchList.slidBackEnabled, RouterModel.LineSearchList);
        }
        //搜索结果info
        var OpenLineSearchInfo = function(data){        	
        	RouterModel.LineSearchInfo.Para = data;
        	Ext.OpenWin(RouterModel.LineSearchInfo.WinName , RouterModel.LineSearchInfo.WinUrl , RouterModel.LineSearchInfo.slidBackEnabled, RouterModel.LineSearchInfo);
        }
        
        //在地图中画线
        var OpenLineToMap = function(data){
        	RouterModel.LineToMap.Para = data;
        	Ext.OpenWin(RouterModel.LineToMap.WinName , RouterModel.LineToMap.WinUrl , RouterModel.LineToMap.slidBackEnabled, RouterModel.LineToMap);
        }
        
        //在地图中选点
        var OpenlineMapSelectPoi = function(data){
        	RouterModel.lineMapSelectPoi.Para = data;
        	Ext.OpenWin(RouterModel.lineMapSelectPoi.WinName , RouterModel.lineMapSelectPoi.WinUrl , RouterModel.lineMapSelectPoi.slidBackEnabled, RouterModel.lineMapSelectPoi);
        }
                   
        
        var OpenStationList = function(data) {
        	RouterModel.StationList.Para = data;
			Ext.OpenWin(RouterModel.StationList.WinName , RouterModel.StationList.WinUrl , RouterModel.StationList.slidBackEnabled, RouterModel.StationList);
		} 
		
		
		 var OpenqueryResultFrame = function(data) {
		 	//console.log()
        	RouterModel.StationList.Para = data;
        	Ext.OpenFrame(RouterModel.queryResult.FrameName, RouterModel.queryResult.FrameUrl, null, RouterModel.queryResult.BgColor, false, true, false, false);
			//Ext.OpenWin(RouterModel.queryResult.WinName , RouterModel.queryResult.WinUrl , RouterModel.queryResult.slidBackEnabled, RouterModel.queryResult);
		} 
		
		var OpenMapPoi = function(data) {
        	RouterModel.MapPoi.Para = data;
        	RouterModel.MapPoi.Title = data.title;
			Ext.OpenWin(RouterModel.MapPoi.WinName , RouterModel.MapPoi.WinUrl , RouterModel.MapPoi.slidBackEnabled, RouterModel.MapPoi);
		} 
		
		var OpenMapBusLine = function(data) {
        	RouterModel.MapBusLine.Para = data;
        	RouterModel.MapBusLine.Title = data.name;
			Ext.OpenWin(RouterModel.MapBusLine.WinName , RouterModel.MapBusLine.WinUrl , RouterModel.MapBusLine.slidBackEnabled, RouterModel.MapBusLine);
		} 

		
        return {
            RouterModel: RouterModel,
            OpenMainFrame: OpenMainFrame,
            OpenMainInfo:OpenMainInfo,
            OpenMainDetail:OpenMainDetail,           
            OpenSearch:OpenSearch,
            OpenMapSearch:OpenMapSearch,
            OpenLineSearchFrame:OpenLineSearchFrame,
            OpenLineSearchPoi:OpenLineSearchPoi,
            OpenLineSearchList:OpenLineSearchList,
            OpenLineSearchInfo:OpenLineSearchInfo,
            OpenLineToMap:OpenLineToMap,
            OpenlineMapSelectPoi:OpenlineMapSelectPoi,
            //OpenStationListFrame:OpenStationListFrame,
            OpenStationList:OpenStationList,
            OpenqueryResultFrame:OpenqueryResultFrame,
            OpenMapPoi:OpenMapPoi,
            OpenMapBusLine:OpenMapBusLine,
			Opentest:Opentest
        }
    }
    return Router;

})