﻿define(function(require) {

    var InterFace = function(AppInfo) {
        var Main = function(cb) {
            require([AppInfo.BaseUrl + "/modules/main/script/router.js"], function(router) {
                if (cb) cb(router(AppInfo));
            })
        }

        /**
         * 供从个人中心调用app-info.js中配置的 打开我的收藏
         */
        var OpenMyCollectArticle = function() {
            Main(function(Router) {
				Router.OpenCollectlistFrame();
            })
        }

        /**
         * 进入图文信息详情页面
         */
        var OpenArtInfoWin = function(modelID) {
            Main(function(Router) {
                Router.OpenArtInfoWin(modelID);
            })
        }

        /**
         * 获取分类信息数据
         */
        var GetArticleLabelList = function(ParentID, CB) {
            var url = AppInfo.CustomItems.Url.GetArticleLabelList;
            var PostData = {
                Label: ParentID
            }
            AppFrame.Http.Post(url, PostData, function(ret, err) {
                if (CB) CB(ret, err);
            })
        }

          var GetArticleItems = function(AppFrame, _NowPage, PageSize, Label, Sort, CB) {

            var url = AppInfo.CustomItems.Url.GetArticleItems;
            var PostData = {
                NowPage: _NowPage,
                PageSize: PageSize,
                Label: Label,
                Fields: "Art_Title,Art_ID,Art_SignImg_s,Art_SignImg_b,Art_Imgs,Art_ReadCount,Art_Intro,Art_CreateTime,Art_ViewStyle,Art_Label,Art_LabelName",
                Sort: Sort ? Sort : "Art_CreateTime|desc"
            }

            AppFrame.Http.Post(url, PostData, function(ret, err) {
              
                if (ret && ret.Result == 1) {
                    var data = [];
                    for (var v in ret.Data.ListData) {
                        var model = {
                            ID: ret.Data.ListData[v].Art_ID,
                            Title: AppFrame.Tools.FixLen(ret.Data.ListData[v].Art_Title, 25),
                            Img: ret.Data.ListData[v].Art_SignImg_s,
                            Art_SignImg_s: ret.Data.ListData[v].Art_SignImg_s,
                            Art_SignImg_b: ret.Data.ListData[v].Art_SignImg_b,
                            ArtImgs: ret.Data.ListData[v].Art_Imgs,
                            Intro: ret.Data.ListData[v].Art_Intro.replace(/' '/g, ''),
                            Read: ret.Data.ListData[v].Art_ReadCount,
                            Time: ret.Data.ListData[v].Art_CreateTime.replace("T", " "),
                            ViewStyle: ret.Data.ListData[v].Art_ViewStyle,
                            Art_Label:ret.Data.ListData[v].Art_Label,
                            Art_LabelName:ret.Data.ListData[v].Art_LabelName
                        };
                        if (ret.Data.ListData[v].Art_SignImg_s == "" && ret.Data.ListData[v].Art_SignImg_b != "") {
                            model.Img = ret.Data.ListData[v].Art_SignImg_b;
                        }
                        data.push(model);
                    }
                    ret.Data.ListData = data;
                }
                if (CB) CB(ret, err);
            })
        }

        var GetArticle = function(ArtID, CB) {
            var url = AppInfo.CustomItems.Url.GetArticle + ArtID;
            AppFrame.Http.Get(url, function(ret, err) {
                if (CB) CB(ret, err);
            })
        }



        return {
            OpenArtInfoWin: OpenArtInfoWin,
            OpenMyCollectArticle: OpenMyCollectArticle,
            GetArticleLabelList: GetArticleLabelList,
            GetArticleItems: GetArticleItems,
            GetArticle: GetArticle
        }
    }

    return InterFace;

})
