define(["ext", "frame-data"], function() {

    var Router = function(AppInfo) {
        var WinUrl = AppInfo.RootUrl + "/modules/win-frame.html"; //带头部导航的母版窗口
        var NoHeaderWinUrl = AppInfo.RootUrl + "/modules/win-frame-noheader.html"; //不带头部导航的母版窗口
        var ApiBaseUrl = FrameData.ApiBaseUrl;


        var RouterModel = {
            switchTab: {
                AppID: AppInfo.AppID, //应用ID
                WinName: 'information-widget', //Win的名称
                WinUrl: AppInfo.BaseUrl + "/index.html", //Win的路径地址
                FrameName: 'switchTab', //Win中开启Frame的名称
                FrameUrl: AppInfo.BaseUrl + "/modules/main/switchTab.html", //Win中开启Frame的路径地址
                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
                Title: '切换', //窗口标题
                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
                ShowProgress: true, //是否显示加载进度条
                Bounces: true, //Frame是否开启弹动效果
                ScaleEnabled: false, //Frame中的页面是否可以缩放
                Reload: false //再次切换到此窗口时，是否重新加载Frame
            },
            artList: {
                AppID: AppInfo.AppID, //应用ID
                WinName: 'art-list-win', //Win的名称
                WinUrl: WinUrl, //Win的路径地址
                FrameName: 'art-list', //Win中开启Frame的名称
                FrameUrl: AppInfo.BaseUrl + "/modules/main/art-list.html", //Win中开启Frame的路径地址
                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
                Title: '列表', //窗口标题
                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
                ShowProgress: true, //是否显示加载进度条
                Bounces: true, //Frame是否开启弹动效果
                ScaleEnabled: false, //Frame中的页面是否可以缩放
                Reload: false //再次切换到此窗口时，是否重新加载Frame
            },
            ArtInfo: {
                AppID: AppInfo.AppID, //应用ID
                WinName: 'art-info-win', //Win的名称
                WinUrl: WinUrl, //Win的路径地址
                FrameName: 'art-info', //Win中开启Frame的名称
                FrameUrl: AppInfo.BaseUrl + "/modules/main/art-info.html", //Win中开启Frame的路径地址
                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
                Title: '详情', //窗口标题
                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
                ShowProgress: true, //是否显示加载进度条
                Bounces: true, //Frame是否开启弹动效果
                ScaleEnabled: false, //Frame中的页面是否可以缩放
                Reload: false //再次切换到此窗口时，是否重新加载Frame
            },
            collectlist: {
                AppID: AppInfo.AppID, //应用ID
                WinName: 'art-list-win', //Win的名称
                WinUrl: WinUrl, //Win的路径地址
                FrameName: 'collect-list', //Win中开启Frame的名称
                FrameUrl: AppInfo.BaseUrl + "/modules/main/collect-list.html", //Win中开启Frame的路径地址
                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
                Title: '我收藏的文章', //窗口标题
                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
                ShowProgress: true, //是否显示加载进度条
                Bounces: true, //Frame是否开启弹动效果
                ScaleEnabled: false, //Frame中的页面是否可以缩放
                Reload: false //再次切换到此窗口时，是否重新加载Frame
            }
        }
        var OpenSwitchTabWin = function() {
            //RouterModel.Login.RightBtnHtml="<i class='mui-icon mui-icon-compose'></i>编辑";
            Ext.OpenWin(RouterModel.switchTab.WinName, RouterModel.switchTab.WinUrl, RouterModel.switchTab.slidBackEnabled, RouterModel.switchTab);
        }
        var OpenSwitchTabFrame = function() {
            Ext.OpenFrame(RouterModel.switchTab.FrameName, RouterModel.switchTab.FrameUrl, null, RouterModel.switchTab.BgColor, false, true, false, false);
        }
        var OpenArtListWin = function() {
            //RouterModel.Login.RightBtnHtml="<i class='mui-icon mui-icon-compose'></i>编辑";
            Ext.OpenWin(RouterModel.artList.WinName, RouterModel.artList.WinUrl, RouterModel.artList.slidBackEnabled, RouterModel.artList);
        }
        var OpenArtListFrame = function(FrameData) {
            RouterModel.artList.FrameData = FrameData;
            Ext.OpenFrame(RouterModel.collectlist.FrameName, RouterModel.collectlist.FrameUrl, RouterModel.collectlist, RouterModel.collectlist.BgColor, false, true, false, false);
        }

        var OpenArtInfoWin = function(modelID) {
			RouterModel.ArtInfo.modelID = modelID;
			Ext.OpenWin(RouterModel.ArtInfo.WinName, RouterModel.ArtInfo.WinUrl, RouterModel.ArtInfo.slidBackEnabled, RouterModel.ArtInfo);
           
        }
        var OpenCollectlistFrame = function() {
            
             Ext.OpenWin(RouterModel.collectlist.WinName, RouterModel.collectlist.WinUrl, RouterModel.collectlist.slidBackEnabled, RouterModel.collectlist);
        }
        return {

            RouterModel: RouterModel,
            OpenSwitchTabFrame: OpenSwitchTabFrame,
            OpenSwitchTabWin: OpenSwitchTabWin,
            OpenArtListWin: OpenArtListWin,
            OpenArtListFrame: OpenArtListFrame,
            OpenArtInfoWin: OpenArtInfoWin,
            OpenCollectlistFrame:OpenCollectlistFrame
        }
    } 
    return Router;
    

})