define(["ext", "frame-data"], function() {

	var Router = function(AppInfo) {
		var WinUrl = AppInfo.RootUrl + "/modules/win-frame.html";
		//带头部导航的母版窗口
		var NoHeaderWinUrl = AppInfo.RootUrl + "/modules/win-frame-noheader.html";
		//不带头部导航的母版窗口
		var RouterModel = {
			Main : {
				FrameName : 'Main-Win',
				FrameUrl : AppInfo.BaseUrl + "/modules/main/main.html",
				BgColor : '#efeff4'
			},
			PassengerFlow : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'PassengerFlow-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'PassengerFlow', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/main/passengerflow.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '客流分布历史数据', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : true, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			AdvanceTicket : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'AdvanceTicket-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'AdvanceTicket', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/main/advanceticket.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '预售票历史数据', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : true, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			PassengerVolume : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'PassengerVolume-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'PassengerVolume', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/main/passengervolume.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '客运量历史数据', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : true, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			}
		}

		var OpenMainFrame = function() {
			Ext.OpenFrame(RouterModel.Main.FrameName, RouterModel.Main.FrameUrl, null, RouterModel.Main.BgColor, false, true, false, false);
		}
		var OpenPassengerFlowInfo = function(NowDate) {
			RouterModel.PassengerFlow.NowDate = NowDate;
			Ext.OpenWin(RouterModel.PassengerFlow.WinName, RouterModel.PassengerFlow.WinUrl, RouterModel.PassengerFlow.slidBackEnabled, RouterModel.PassengerFlow);
		}
		var OpenAdvanceTicketInfo = function(NowDate) {
			RouterModel.AdvanceTicket.NowDate = NowDate;
			Ext.OpenWin(RouterModel.AdvanceTicket.WinName, RouterModel.AdvanceTicket.WinUrl, RouterModel.AdvanceTicket.slidBackEnabled, RouterModel.AdvanceTicket);
		}
		var OpenPassengerVolumeInfo = function(NowDate) {
			RouterModel.PassengerVolume.NowDate = NowDate;
			Ext.OpenWin(RouterModel.PassengerVolume.WinName, RouterModel.PassengerVolume.WinUrl, RouterModel.PassengerVolume.slidBackEnabled, RouterModel.PassengerVolume);
		}
		return {
			RouterModel : RouterModel,
			OpenMainFrame : OpenMainFrame,
			OpenPassengerFlowInfo : OpenPassengerFlowInfo,
			OpenAdvanceTicketInfo : OpenAdvanceTicketInfo,
			OpenPassengerVolumeInfo : OpenPassengerVolumeInfo
		}
	}
	return Router;

})