define(["ext", "frame-data"], function() {

	var Router = function(AppInfo) {
		var WinUrl = AppInfo.RootUrl + "/modules/win-frame.html";
		//带头部导航的母版窗口
		var NoHeaderWinUrl = AppInfo.RootUrl + "/modules/win-frame-noheader.html";
		//不带头部导航的母版窗口

		var ApiBaseUrl = FrameData.ApiBaseUrl;
		var Url = {
			GetCarBreakRuleList : ApiBaseUrl + "/traffic/car/SearchViolation_qcyn"//获取车辆违法信息列表
		}
		var RouterModel = {
			Main : {
				FrameName : 'Main-Win',
				FrameUrl : AppInfo.BaseUrl + "/modules/main/main.html",
				BgColor : '#efeff4'
			},
			BreakBuleList : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'Breaklist-win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'Breaklist-frame', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/main/breakblue_list.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '车辆违法信息', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : true, //是否显示加载进度条
				Bounces : true, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			BreakRuleInfo : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'BreakRuleInfo-win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'BreakRuleInfo-frame', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/main/breakrule_info.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '违法详情', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : true, //是否显示加载进度条
				Bounces : true, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			}
		}

		var OpenMainFrame = function() {
			Ext.OpenFrame(RouterModel.Main.FrameName, RouterModel.Main.FrameUrl, null, RouterModel.Main.BgColor, false, true, false, false);
		}
		var OpenBreakBuleList = function(myObj) {
			RouterModel.BreakBuleList.MyObj = myObj;
			Ext.OpenWin(RouterModel.BreakBuleList.WinName, RouterModel.BreakBuleList.WinUrl, RouterModel.BreakBuleList.slidBackEnabled, RouterModel.BreakBuleList);

		}
		var OpenBreakRuleInfoWin = function(model) {
			RouterModel.BreakRuleInfo.modelinfo = model;
			Ext.OpenWin(RouterModel.BreakRuleInfo.WinName, RouterModel.BreakRuleInfo.WinUrl, RouterModel.BreakRuleInfo.slidBackEnabled, RouterModel.BreakRuleInfo);

		}

		return {
			Url : Url,
			RouterModel : RouterModel,
			OpenMainFrame : OpenMainFrame,
			OpenBreakBuleList : OpenBreakBuleList,
			OpenBreakRuleInfoWin : OpenBreakRuleInfoWin
		}
	}
	return Router;

})