﻿define(function(require) {

	var InterFace = function(AppInfo) {
		//返回Main的路由
		var Main = function(cb) {
			require([AppInfo.BaseUrl + "/modules/main/script/router.js"], function(router) {
				if (cb)
					cb(router(AppInfo));
			})
		}
		//打开城市服务主页
		var OpenKeyNameList = function(obj) {
			Main(function(Router) {
				Router.OpenMainWin(obj);
				setTimeout(function() {
					api.sendEvent({
						name : 'GetObj',
						extra : obj
					});
				}, 1000)
			})
		}
		//打开地图
		var OpenInfoToMap = function(obj) {
			Main(function(Router) {
				Router.OpenInfoToMapWin(obj);
			})
		}
		var GetPoilList = function(pageobj, CB) {
			//标注的集合
			var poiobj = {
				state : false, //访问失败或成功
				allnum : 0, //返回数据记录总数
				items : []//数据集
			};
			if (pageobj.DataType == "baidu") {
				//接口地址
				var AddUrl = "&query=" + pageobj.TypeName + "&page_size=" + pageobj.PageSize + "&page_num=" + pageobj.NowPage + "&location=" + pageobj.Plocation.lat + "," + pageobj.Plocation.lng + "&radius=" + pageobj.Radius;
				var url = AppInfo.CustomItems.Url.GetBaiDuWebApiPoilList + AddUrl;
				//获取数据
				AppFrame.Http.Get(url, function(ret, err) {
					if (ret && ret.status == 0) {
						poiobj.state = true;
						if (ret.results.length > 0) {
							var poils = ret.results;
							poiobj.allnum = ret.total;
							for (var i in poils) {
								poiobj.items.push({
									id : parseInt(i) + 1, //标注id
									uid : poils[i].uid, //poi的唯一标识符
									name : poils[i].name, //poi的唯一标识符
									location : poils[i].location, //位置坐标
									lon : poils[i].location.lng, //经度
									lat : poils[i].location.lat, //维度
									distance : poils[i].detail_info.distance > 0 ? poils[i].detail_info.distance : GetDistance(AppInfo.CustomItems.Url.GetBaiDuMapDistance + '&origins=' + pageobj.Plocation.lat + "," + pageobj.Plocation.lng + '&destinations=' + poils[i].location.lat + ',' + poils[i].location.lng + ''), //距离
									address : poils[i].address ? poils[i].address : '', //地址
									phone : poils[i].telephone ? poils[i].telephone : '', //距离
									street_id : poils[i].street_id, //街景图id
									streetimg : AppInfo.CustomItems.Url.GetBaiduStreetImg + "&poiid=" + poils[i].uid + "&panoid=" + poils[i].street_id + "&location=" + poils[i].lng + "," + poils[i].lat,
									comming : pageobj.LinkSource, //访问来源（其它功能模块和本模块）
									labelcode : pageobj.LabelCode//类型
								});
							}
						}

					} else {
						poiobj.state = false;
					}
					if (CB)
						CB(poiobj, err);
				})
			} else if (pageobj.DataType == "local") {
				//post参数
				var postdata = {
					PageSize : pageobj.PageSize, //每页的数据条数
					NowPage : parseInt(pageobj.NowPage) + 1, //当前页
					LabelCode : pageobj.LabelCode, //类型编码
					CityCode : pageobj.QueryObj ? pageobj.QueryObj.CityCode : '', //城市编码
					Lng : pageobj.Plocation.lng, //经度
					Lat : pageobj.Plocation.lat, //纬度
					distance : pageobj.Radius / 1000, //搜索范围
					Query : pageobj.QueryObj ? pageobj.QueryObj.KeyName : '', //查询关键词
					RoadCode : pageobj.QueryObj ? pageobj.QueryObj.RoadCode : '', //高速路线
					Sort : 'dist|asc', //请求排序的字段
					Fields : "P_Level,P_ID,P_Name,P_Location,P_LabelCode,P_Phone,P_City,P_CityCode,P_Img,P_Info,P_RoadCode,P_RoadName"
				}
				//接口地址
				var url = AppInfo.CustomItems.Url.GetLocPoilList;
				//获取数据
				AppFrame.Http.Post(url, postdata, function(ret, err) {
					if (ret && ret.Result == 1) {
						poiobj.state = true;
						if (ret.Data.ListData != null) {
							var poils = ret.Data.ListData;
							poiobj.allnum = ret.Data.RsCount;
							for (var i in poils) {
								poiobj.items.push({
									id : parseInt(i) + 1, //标注id
									uid : poils[i].P_Points[0].Point_PID, //poi的唯一标识符
									name : poils[i].P_Name, //poi的唯一标识符
									location : {
										lng : poils[i].P_Points[0].Lng,
										lat : poils[i].P_Points[0].Lat,
									}, //位置坐标
									lon : poils[i].P_Points[0].Lng, //经度
									lat : poils[i].P_Points[0].Lat, //维度
									distance : poils[i].dist > 0 ? parseFloat(poils[i].dist) * 1000 : GetDistance(AppInfo.CustomItems.Url.GetBaiDuMapDistance + '&origins=' + pageobj.Plocation.lat + "," + pageobj.Plocation.lng + '&destinations=' + poils[i].P_Points[0].Lat + ',' + poils[i].P_Points[0].Lng + ''), //距离
									address : poils[i].P_Points[0].Address ? poils[i].P_Points[0].Address : '', //地址
									phone : '', //距离
									street_id : '', //街景图id
									streetimg : poils[i].P_Points[0].P_Img ? poils[i].P_Points[0].P_Img : AppInfo.CustomItems.Url.GetBaiduStreetImg + "&location=" + poils[i].P_Points[0].Lng + "," + poils[i].P_Points[0].Lat,
									comming : pageobj.LinkSource, //访问来源（其它功能模块和本模块）
									labelcode : pageobj.LabelCode//类型
								});
							}
						}
					} else {
						poiobj.state = false;
					}

					if (CB)
						CB(poiobj, err);
				})
			} else if (pageobj.DataType == "localETC") {
				var NowPage = parseInt(pageobj.NowPage) + 1;
				var strcode = "?PageSize=" + pageobj.PageSize + "&NowPage=" + NowPage + "&Lng=" + pageobj.Plocation.lng + "&Lat=" + pageobj.Plocation.lat + "&distance=" + pageobj.Radius / 1000 + "&Sort=dist|asc";
				var url = AppInfo.CustomItems.Url.GetETCList + strcode;
				//获取数据
				AppFrame.Http.Get(url, function(ret, err) {
					if (ret && ret.Result == 1) {
						poiobj.state = true;
						if (ret.Data.PDM.ListData != null) {
							var poils = ret.Data.PDM.ListData;
							poiobj.allnum = ret.Data.PDM.RsCount;
							console.log(JSON.stringify(poils));
							for (var i in poils) {
								var parr = poils[i].P_Points;
								var p_all = [];
								for (var a in parr) {
									p_all.push({
										address : poils[i].Address ? poils[i].Address : '', //地址
										lng : poils[i].P_Points[a].Lng,
										lat : poils[i].P_Points[a].Lat,
									});
								}
								poiobj.items.push({
									id : parseInt(i) + 1, //标注id
									uid : poils[i].P_ID, //poi的唯一标识符
									name : poils[i].P_Name, //poi的唯一标识符
									location : {
										lng : poils[i].P_Points[0].Lng,
										lat : poils[i].P_Points[0].Lat,
									}, //位置坐标
									locations : p_all, //该ETC集合点
									lon : poils[i].P_Points[0].Lng, //经度
									lat : poils[i].P_Points[0].Lat, //维度
									distance : poils[i].dist > 0 ? parseFloat(poils[i].dist) * 1000 : GetDistance(AppInfo.CustomItems.Url.GetBaiDuMapDistance + '&origins=' + pageobj.Plocation.lat + "," + pageobj.Plocation.lng + '&destinations=' + poils[i].P_Points[0].Lat + ',' + poils[i].P_Points[0].Lng + ''), //距离
									address : poils[i].Address ? poils[i].Address : poils[i].P_Points[0].Address, //地址
									phone : poils[i].P_Phone ? poils[i].P_Phone : '', //联系电话
									street_id : '', //街景图id
									streetimg : poils[i].P_Img ? poils[i].P_Img : AppInfo.CustomItems.Url.GetBaiduStreetImg + "&location=" + poils[i].P_Points[0].Lng + "," + poils[i].P_Points[0].Lat,
									comming : pageobj.LinkSource, //访问来源（其它功能模块和本模块）
									labelcode : pageobj.LabelCode, //类型
									des : '', //描述
									pstate : poils[i].P_State ? poils[i].P_State : '', //运营状态
									pwdgs : poils[i].E_WDGS ? poils[i].E_WDGS : '' //所属网点
								});
							}
						}
					} else {
						poiobj.state = false;
					}

					if (CB)
						CB(poiobj, err);
				})
			} else if (pageobj.DataType == "onepois") {
				//获取数据
				var err = {
					msg : "无数据"
				};
				if (pageobj.OtherData != null) {
					poiobj.state = true;
					var poils = pageobj.OtherData.location;
					for (var i in poils) {
						poiobj.items.push({
							id : parseInt(i) + 1, //标注id
							uid : poils[i].pid, //poi的唯一标识符
							name : poils[i].name, //poi名称
							location : {
								lng : poils[i].lon,
								lat : poils[i].lat,
							}, //位置坐标
							lon : poils[i].lon, //经度
							lat : poils[i].lat, //维度
							distance : poils[i].dist > 0 ? parseFloat(poils[i].dist) * 1000 : GetDistance(AppInfo.CustomItems.Url.GetBaiDuMapDistance + '&origins=' + pageobj.Plocation.lat + "," + pageobj.Plocation.lng + '&destinations=' + poils[i].lat + ',' + poils[i].lon + ''), //距离
							address : poils[i].address ? poils[i].address : '', //地址
							street_id : '', //街景图id
							streetimg : poils[i].P_Img ? poils[i].P_Img : AppInfo.CustomItems.Url.GetBaiduStreetImg + "&location=" + poils[i].lon + "," + poils[i].lat,
							comming : pageobj.LinkSource, //访问来源（其它功能模块和本模块）
							labelcode : pageobj.LabelCode//类型
						});
					}
				}
				if (CB)
					CB(poiobj, err);
			}

		}
		var GetDistance = function(distanceUrl) {
			var distance = "";
			$.ajaxSettings.async = false;
			//设置getJson同步
			$.getJSON(distanceUrl, function(data) {
				if (data.status == 0) {
					distance = data.result[0].distance.value;
				}
			});
			return distance;

		}
		//百度详情页
		var GetDetailByuid = function(uid, datetype, CB) {
			var model = {
				telephone : '', //电话
				address : '', //地址
				name : '', //名称
				status : '', //0为有数据
				description : '', //描述（简介）
				overall_rating : '', //评分
				featured_service : '', //特色服务
				P_RoadCode : '', //道路编码
				P_City : '', //所在城市
				Lng : '', //经度
				Lat : '', //纬度
				P_ExtInfo : '', //其它
				P_Img : '', //图片
				tag : ''//标签
			}
			var urlDetail;
			var StreetImg = AppInfo.CustomItems.Url.GetBaiduStreetImg;
			//百度数据
			if (datetype == "baidu") {
				var AppUrlDetail = "&uid=" + uid;
				urlDetail = AppInfo.CustomItems.Url.GetBaiDuWebApiDetailByuid + AppUrlDetail;
				AppFrame.Http.Get(urlDetail, function(ret, err) {
					if (ret && ret.status == 0) {
						var daTe = ret.result;
						model.status = 0;
						model.telephone = daTe.telephone;
						model.name = daTe.name;
						model.address = daTe.address;
						model.overall_rating = daTe.detail_info.overall_rating;
						model.description = daTe.detail_info.description ? daTe.detail_info.description : "";
						model.featured_service = daTe.detail_info.featured_service;
						model.lng = daTe.location.lng;
						model.lat = daTe.location.lat;
						model.tag = daTe.detail_info.tag;
						var picturel = StreetImg + "&poiid=" + daTe.uid + "&panoid=" + daTe.street_id + "&location=" + daTe.location.lng + "," + daTe.location.lat;
						beOrNoImg(picturel, function(imgUrl) {
							model.P_Img = imgUrl;
							if (CB)
								CB(model, err);
						})
					}

				})
			} else {//本地私有数据
				//alert(uid);
				urlDetail = AppInfo.CustomItems.Url.GetLocalDetailByPID;
				var postDate = {
					PID : uid
				};
				AppFrame.Http.Post(urlDetail, postDate, function(ret, err) {

					if (ret && ret.Result == 1) {
						var daTe = ret.Data;
						model.status = 0;
						model.telephone = daTe.P_Phone;
						model.name = daTe.P_Name;
						model.address = daTe.P_Points[0].Address;
						model.description = daTe.P_Info ? daTe.P_Info : "";
						model.P_RoadCode = daTe.P_RoadCode;
						model.P_City = daTe.P_City;
						model.lng = daTe.P_Points[0].Lng;
						model.lat = daTe.P_Points[0].Lat;
						model.P_ExtInfo = daTe.P_ExtInfo;
						var picturel = StreetImg + "&location=" + model.lng + "," + model.lat;
						beOrNoImg(picturel, function(imgUrl) {
							model.P_Img = daTe.P_Img ? daTe.P_Img : imgUrl;
							if (CB)
								CB(model, err);
						})
					}

				})
			}

		}
		var beOrNoImg = function(baiduUrl, CB) {
			var imgUrl;
			AppFrame.Http.Get(baiduUrl, function(ret) {
				if (ret) {
					imgUrl = "";
				} else
					imgUrl = baiduUrl;
				if (CB)
					CB(imgUrl);
			})
		}
		return {
			Main : Main,
			OpenInfoToMap : OpenInfoToMap,
			GetPoilList : GetPoilList,
			GetDetailByuid : GetDetailByuid,
			OpenKeyNameList : OpenKeyNameList

		}
	}

	return InterFace;

})