define(["ext", "frame-data"], function() {

	var Router = function(AppInfo) {
		var WinUrl = AppInfo.RootUrl + "/modules/win-frame.html";
		//带头部导航的母版窗口
		var NoHeaderWinUrl = AppInfo.RootUrl + "/modules/win-frame-noheader.html";
		//不带头部导航的母版窗口

		var ApiBaseUrl = FrameData.ApiBaseUrl;
		var Url = {
			OneSerTypeList : "http://api.map.baidu.com/place/v2/search?"
		}
		var RouterModel = {
			Main : {
				FrameName : 'Main-Frame',
				FrameUrl : AppInfo.BaseUrl + "/modules/main/main.html",
				BgColor : '#efeff4',
				Reload : true, //再次切换到此窗口时，是否重新加载Frame
				Bounces : false, //Frame是否开启弹动效果
			},
			MainWin : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'qcyn_cityservice-MainWin', //Win的名称
				WinUrl : AppInfo.BaseUrl + "/index.html", //Win的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : true, //是否显示加载进度条
				Bounces : false, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			SearchWin : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'Search-win', //Win的名称
				WinUrl : AppInfo.BaseUrl + "/modules/main/search.html", //Win的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : true, //是否显示加载进度条
				Bounces : false, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			MapFooterLayout : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'MapFooterLayout-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'MapFooterLayout-frame', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/controls/mapfooterframe.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : true, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false, //再次切换到此窗口时，是否重新加载Frame
				rect : {
					x : 0,
					y : api.winHeight - 140,
					w : api.winWidth,
					h : 140,
					marginBottom : 0
				}
			},
			MapFooter : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'MapFooter-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'MapFooter-frame', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/controls/mapfooter.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : false, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : true, //再次切换到此窗口时，是否重新加载Frame
				rect : {
					x : 0,
					y : api.winHeight - 170,
					w : api.winWidth,
					h : 215,
					marginBottom : 0
				}
			},
			PoilList : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'PoilList-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'PoilList-frame', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/main/poillist.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : true, //是否显示加载进度条
				Bounces : true, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false, //再次切换到此窗口时，是否重新加载Frame
				rect : {
					x : 0,
					y : api.winHeight - 170,
					w : api.winWidth,
					h : 170,
					marginBottom : 0
				}
			},
			InfoToMap : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'InfoToMap-win', //Win的名称
				WinUrl : AppInfo.BaseUrl + "/modules/main/infotomap.html", //Win的路径地址
				BgColor : 'rgba(0,0,0,0)', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '地图', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : true, //是否显示加载进度条
				Bounces : false, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			PoilDetail : {//打开地点详情
				AppID : AppInfo.AppID, //应用ID
				WinName : 'PoilDetail-win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'PoilDetail-frame', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/main/poildetail.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '详情', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : true, //是否显示加载进度条
				Bounces : true, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : true //再次切换到此窗口时，是否重新加载Frame
			}
		}

		var OpenMainFrame = function() {
			Ext.OpenFrame(RouterModel.Main.FrameName, RouterModel.Main.FrameUrl, null, RouterModel.Main.BgColor, false, true, false, false);
		}
		var OpenMainWin = function(obj) {
			RouterModel.MainWin.OneObj = obj;
			Ext.OpenWin(RouterModel.MainWin.WinName, RouterModel.MainWin.WinUrl, RouterModel.MainWin.slidBackEnabled, RouterModel.MainWin);
		}
		var OpenSearchWin = function(obj) {
			RouterModel.SearchWin.MyObj = obj;
			Ext.OpenWin(RouterModel.SearchWin.WinName, RouterModel.SearchWin.WinUrl, RouterModel.SearchWin.slidBackEnabled, RouterModel.SearchWin);
		}
		var OpenInfoToMapWin = function(objParams) {
			RouterModel.InfoToMap.Title = objParams.KeyName;
			RouterModel.InfoToMap.OneObj = objParams;
			Ext.OpenWin(RouterModel.InfoToMap.WinName, RouterModel.InfoToMap.WinUrl, RouterModel.InfoToMap.slidBackEnabled, RouterModel.InfoToMap);
		}
		var OpenPoilDetailWin = function(obj, type) {
			RouterModel.PoilDetail.MyObj = obj;
			RouterModel.PoilDetail.Type = type;
			Ext.OpenWin(RouterModel.PoilDetail.WinName, RouterModel.PoilDetail.WinUrl, RouterModel.PoilDetail.slidBackEnabled, RouterModel.PoilDetail);
		}
		return {
			Url : Url,
			RouterModel : RouterModel,
			OpenMainWin : OpenMainWin,
			OpenSearchWin : OpenSearchWin,
			OpenMainFrame : OpenMainFrame,
			OpenInfoToMapWin : OpenInfoToMapWin,
			OpenPoilDetailWin : OpenPoilDetailWin
		}
	}
	return Router;

})