define(function() {

	var Router = function(AppInfo) {
		var WinUrl = AppInfo.RootUrl + "/modules/win-frame.html";
		//带头部导航的母版窗口
		var NoHeaderWinUrl = AppInfo.RootUrl + "/modules/win-frame-noheader.html";
		//不带头部导航的母版窗口
		var RouterModel = {
			Main : {
				FrameName : 'Main-Win',
				FrameUrl : AppInfo.BaseUrl + "/modules/main/main.html",
				BgColor : '#efeff4',
			},

			CarQuery : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'CarQuery-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'CarQuery', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/car/main.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '运营车辆查询', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : true, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},

			CarList : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'CarList-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'CarList', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/car/carlist.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '运营车辆查询', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : true, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			Person_Employee : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'Person_Employee-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'Person_Employee', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/person_employee/main.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '道路运输从业人员查询', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : true, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			Person_EmployeeList : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'Person_EmployeeList-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'Person_EmployeeList', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/person_employee/list.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '道路运输从业人员查询', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : true, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			PersonCoach : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'PersonCoach-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'PersonCoach', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/person_coach/main.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '机动教练员查询', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : true, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			PersonCoachList : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'PersonCoachList-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'PersonCoachList', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/person_coach/list.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '机动教练员查询', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : true, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			PersonPilot : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'PersonPilot-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'PersonPilot', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/person_pilot/main.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '船员查询', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : true, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			PersonPilotList : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'PersonPilotList-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'PersonPilotList', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/person_pilot/list.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '船员查询', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : true, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			MaterialQuery : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'MaterialQuery-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'MaterialQuery', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/material/main.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '材料价格查询', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : true, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			MaterialList : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'MaterialList-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'MaterialList', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/material/materiallist.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '材料价格查询', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : true, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			AgentsQuery : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'AgentsQuery-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'AgentsQuery', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/agents/main.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '执法人员查询', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : true, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			AgentsList : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'AgentsList-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'AgentsList', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/agents/agentslist.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '执法人员查询', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : true, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			}
		}

		var OpenMainFrame = function() {
			Ext.OpenFrame(RouterModel.Main.FrameName, RouterModel.Main.FrameUrl, null, RouterModel.Main.BgColor, false, true, false, false);
		}
		var OpenCarQueryWin = function() {
			Ext.OpenWin(RouterModel.CarQuery.WinName, RouterModel.CarQuery.WinUrl, RouterModel.CarQuery.slidBackEnabled, RouterModel.CarQuery);
		}
		var OpenCarListWin = function(obj) {
			RouterModel.CarList.OneObj = obj;
			Ext.OpenWin(RouterModel.CarList.WinName, RouterModel.CarList.WinUrl, RouterModel.CarList.slidBackEnabled, RouterModel.CarList);
		}
		var OpenPersonEmployeeWin = function() {
			Ext.OpenWin(RouterModel.Person_Employee.WinName, RouterModel.Person_Employee.WinUrl, RouterModel.Person_Employee.slidBackEnabled, RouterModel.Person_Employee);
		}
		var OpenPersonEmployeeListWin = function(obj) {
			RouterModel.Person_EmployeeList.OneObj = obj;
			Ext.OpenWin(RouterModel.Person_EmployeeList.WinName, RouterModel.Person_EmployeeList.WinUrl, RouterModel.Person_EmployeeList.slidBackEnabled, RouterModel.Person_EmployeeList);
		}
		var OpenPersonCoachWin = function() {
			Ext.OpenWin(RouterModel.PersonCoach.WinName, RouterModel.PersonCoach.WinUrl, RouterModel.PersonCoach.slidBackEnabled, RouterModel.PersonCoach);
		}
		var OpenPersonCoachListWin = function(obj) {
			RouterModel.PersonCoachList.OneObj = obj;
			Ext.OpenWin(RouterModel.PersonCoachList.WinName, RouterModel.PersonCoachList.WinUrl, RouterModel.PersonCoachList.slidBackEnabled, RouterModel.PersonCoachList);
		}
		var OpenPersonPilotWin = function() {
			Ext.OpenWin(RouterModel.PersonPilot.WinName, RouterModel.PersonPilot.WinUrl, RouterModel.PersonPilot.slidBackEnabled, RouterModel.PersonPilot);
		}
		var OpenPersonPilotListWin = function(obj) {
			RouterModel.PersonPilotList.OneObj = obj;
			Ext.OpenWin(RouterModel.PersonPilotList.WinName, RouterModel.PersonPilotList.WinUrl, RouterModel.PersonPilotList.slidBackEnabled, RouterModel.PersonPilotList);
		}
		var OpenMaterialQueryWin = function() {
			Ext.OpenWin(RouterModel.MaterialQuery.WinName, RouterModel.MaterialQuery.WinUrl, RouterModel.MaterialQuery.slidBackEnabled, RouterModel.MaterialQuery);
		}
		var OpenMaterialListWin = function(obj) {
			RouterModel.MaterialList.OneObj = obj;
			Ext.OpenWin(RouterModel.MaterialList.WinName, RouterModel.MaterialList.WinUrl, RouterModel.MaterialList.slidBackEnabled, RouterModel.MaterialList);
		}
		var OpenAgentsQueryWin = function() {
			Ext.OpenWin(RouterModel.AgentsQuery.WinName, RouterModel.AgentsQuery.WinUrl, RouterModel.AgentsQuery.slidBackEnabled, RouterModel.AgentsQuery);
		}
		var OpenAgentsListWin = function(obj) {
			RouterModel.AgentsList.OneObj = obj;
			Ext.OpenWin(RouterModel.AgentsList.WinName, RouterModel.AgentsList.WinUrl, RouterModel.AgentsList.slidBackEnabled, RouterModel.AgentsList);
		}
		return {
			RouterModel : RouterModel,
			OpenMainFrame : OpenMainFrame,
			OpenCarQueryWin : OpenCarQueryWin,
			OpenCarListWin : OpenCarListWin,
			OpenPersonEmployeeWin : OpenPersonEmployeeWin,
			OpenPersonEmployeeListWin : OpenPersonEmployeeListWin,
			OpenPersonCoachWin : OpenPersonCoachWin,
			OpenPersonCoachListWin : OpenPersonCoachListWin,
			OpenPersonPilotWin : OpenPersonPilotWin,
			OpenPersonPilotListWin : OpenPersonPilotListWin,
			OpenMaterialQueryWin : OpenMaterialQueryWin,
			OpenMaterialListWin : OpenMaterialListWin,
			OpenAgentsQueryWin : OpenAgentsQueryWin,
			OpenAgentsListWin : OpenAgentsListWin
		}
	}
	return Router;

})