define(["ext", "frame-data"], function() {

	var Router = function(AppInfo) {
		var WinUrl = AppInfo.RootUrl + "/modules/win-frame.html";
		//带头部导航的母版窗口
		var NoHeaderWinUrl = AppInfo.RootUrl + "/modules/win-frame-noheader.html";
		//不带头部导航的母版窗口
		var RouterModel = {
			Main : {
				FrameName : 'Main-Win',
				FrameUrl : AppInfo.BaseUrl + "/modules/main/main.html",
				BgColor : '#efeff4'
			},
			ServiceCall : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'ServiceCall-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'ServiceCall', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/main/servicecall.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '服务电话', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : true, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			ChargeQueryList : {
				//				AppID : AppInfo.AppID, //应用ID
				//				WinName : 'ChargeQueryList-Win', //Win的名称
				//				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'ChargeQueryList', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/main/chargequerylist.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '收费站查询', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : false, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			ChargeQueryDetail : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'ChargeQueryDetail-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'ChargeQueryDetail', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/main/chargequerydetail.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '详情', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : false, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			PathAndTravel : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'PathAndTravel-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'PathAndTravel', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/main/pathandtravel.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '路径路费查询', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : false, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			ServiceAreaWin : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'ServiceAreaWin-Win', //Win的名称
				WinUrl : AppInfo.BaseUrl + "/modules/main/service_win.html", //Win的路径地址
				FrameName : 'ServiceAreaWin', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/main/servicearealist.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : false, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			ServiceAreaList : {
				//AppID : AppInfo.AppID, //应用ID
				//WinName : 'ServiceAreaList-Win', //Win的名称
				//WinUrl : WinUrl, //Win的路径地址
				FrameName : 'ServiceAreaList', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/main/servicearealist.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '服务区', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : false, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			ServiceArea : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'ServiceArea-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'ServiceArea', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/main/servicearea.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '详情', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : true, //是否显示加载进度条
				Bounces : false, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			ETCList : {
				//AppID : AppInfo.AppID, //应用ID
				//WinName : 'ServiceAreaList-Win', //Win的名称
				//WinUrl : WinUrl, //Win的路径地址
				FrameName : 'ServiceAreaList', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/main/etclist.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : 'ETC便民服务区', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : false, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			ETCDetail : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'ETCDetail-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'ETCDetail', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/main/etcdetail.html", //Win中开启Frame的路径地址
				BgColor : '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : 'ETC便民服务区', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : false, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			PathAndTraveldetailPC : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'PathAndTraveldetailPC-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'PathAndTraveldetailPC', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/main/pathandtraveldetail-pc.html", //Win中开启Frame的路径地址
				BgColor : '', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '路径路费客车查询', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : false, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			},
			PathAndTraveldetailFC : {
				AppID : AppInfo.AppID, //应用ID
				WinName : 'PathAndTraveldetailFC-Win', //Win的名称
				WinUrl : WinUrl, //Win的路径地址
				FrameName : 'PathAndTraveldetailFC', //Win中开启Frame的名称
				FrameUrl : AppInfo.BaseUrl + "/modules/main/pathandtraveldetail-fc.html", //Win中开启Frame的路径地址
				BgColor : '', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
				Title : '路径路费货车查询', //窗口标题
				slidBackEnabled : false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
				ShowProgress : false, //是否显示加载进度条
				Bounces : false, //Frame是否开启弹动效果
				ScaleEnabled : false, //Frame中的页面是否可以缩放
				Reload : false //再次切换到此窗口时，是否重新加载Frame
			}
		}
		var OpenMainFrame = function() {
			Ext.OpenFrame(RouterModel.Main.FrameName, RouterModel.Main.FrameUrl, null, RouterModel.Main.BgColor, false, true, false, false);
		}
		var OpenPathAndTravelInfo = function(obj) {
			RouterModel.PathAndTravel.MyRodeData = obj;
			Ext.OpenWin(RouterModel.PathAndTravel.WinName, RouterModel.PathAndTravel.WinUrl, RouterModel.PathAndTravel.slidBackEnabled, RouterModel.PathAndTravel);
		}
		var OpenServiceCallInfo = function() {
			Ext.OpenWin(RouterModel.ServiceCall.WinName, RouterModel.ServiceCall.WinUrl, RouterModel.ServiceCall.slidBackEnabled, RouterModel.ServiceCall);
		}
		var OpenChargeQueryListFrame = function() {
			Ext.OpenFrame(RouterModel.ChargeQueryList.FrameName, RouterModel.ChargeQueryList.FrameUrl, null, RouterModel.ChargeQueryList.BgColor, false, true, false, false);
		}
		var OpenChargeQueryDetailInfo = function(obj) {
			RouterModel.ChargeQueryDetail.MyObj = obj;
			RouterModel.ChargeQueryDetail.Title = obj.P_Name;
			Ext.OpenWin(RouterModel.ChargeQueryDetail.WinName, RouterModel.ChargeQueryDetail.WinUrl, RouterModel.ChargeQueryDetail.slidBackEnabled, RouterModel.ChargeQueryDetail);
		}
		var OpenServiceWin = function(obj) {
			RouterModel.ServiceAreaWin.MyObj = obj;
			Ext.OpenWin(RouterModel.ServiceAreaWin.WinName, RouterModel.ServiceAreaWin.WinUrl, RouterModel.ServiceAreaWin.slidBackEnabled, RouterModel.ServiceAreaWin);
		}
		var OpenETCFrame = function() {
			Ext.OpenFrame(RouterModel.ETCList.FrameName, RouterModel.ETCList.FrameUrl, null, RouterModel.ETCList.BgColor, false, true, false, false);
		}
		var OpenETCDetail = function(Obj) {
			RouterModel.ETCDetail.OneObj = Obj;
			RouterModel.ETCDetail.Title = Obj.pname;
			Ext.OpenWin(RouterModel.ETCDetail.WinName, RouterModel.ETCDetail.WinUrl, RouterModel.ETCDetail.slidBackEnabled, RouterModel.ETCDetail);
		}
		var OpenServiceAreaFrame = function() {
			Ext.OpenFrame(RouterModel.ServiceAreaWin.FrameName, RouterModel.ServiceAreaWin.FrameUrl, null, RouterModel.ServiceAreaWin.BgColor, false, true, false, false);
		}
		var OpenServiceAreaInfo = function(Obj) {
			RouterModel.ServiceArea.MyObj = Obj;
			RouterModel.ServiceArea.Title = Obj.P_Name;
			Ext.OpenWin(RouterModel.ServiceArea.WinName, RouterModel.ServiceArea.WinUrl, RouterModel.ServiceArea.slidBackEnabled, RouterModel.ServiceArea);
		}
		var OpenPathAndTraveldetailPCInfo = function(obj) {
			RouterModel.PathAndTraveldetailPC.MyObj = obj;
			Ext.OpenWin(RouterModel.PathAndTraveldetailPC.WinName, RouterModel.PathAndTraveldetailPC.WinUrl, RouterModel.PathAndTraveldetailPC.slidBackEnabled, RouterModel.PathAndTraveldetailPC);
		}
		var OpenPathAndTraveldetailFCInfo = function(obj) {
			RouterModel.PathAndTraveldetailFC.MyObj = obj;
			Ext.OpenWin(RouterModel.PathAndTraveldetailFC.WinName, RouterModel.PathAndTraveldetailFC.WinUrl, RouterModel.PathAndTraveldetailFC.slidBackEnabled, RouterModel.PathAndTraveldetailFC);
		}
		return {
			RouterModel : RouterModel,
			OpenMainFrame : OpenMainFrame,
			OpenServiceCallInfo : OpenServiceCallInfo,
			OpenChargeQueryListFrame : OpenChargeQueryListFrame,
			OpenChargeQueryDetailInfo : OpenChargeQueryDetailInfo,
			OpenPathAndTravelInfo : OpenPathAndTravelInfo,
			OpenServiceWin : OpenServiceWin,
			OpenETCFrame : OpenETCFrame,
			OpenServiceAreaFrame : OpenServiceAreaFrame,
			OpenServiceAreaInfo : OpenServiceAreaInfo,
			OpenPathAndTraveldetailPCInfo : OpenPathAndTraveldetailPCInfo,
			OpenPathAndTraveldetailFCInfo : OpenPathAndTraveldetailFCInfo,
			OpenETCDetail : OpenETCDetail
		}
	}
	return Router;

})