﻿define(function (require) {

    var InterFace = function (AppInfo) {
        //返回Main的路由
        var Main = function (cb) {
            require([AppInfo.BaseUrl + "/modules/main/script/router.js"], function (router) {
                if (cb) cb(router(AppInfo));
            })
        }


        //供从个人中心调用app-info.js中配置的个人中心项目 测试用
        var OpenPhoneInfo = function () {
            Main(function (Router) {
                Router.OpenPhoneInfo();
            })
        }

        /**
         * 获取交通事件
         */
        var GetTafficState = function (CB) {
            var url = AppInfo.CustomItems.Url.GetTafficState;
            var PostData = {};
            AppFrame.Http.Post(url, PostData, function (ret, err) {
                if (CB) CB(ret, err);
            })
        }

        /**
         * 获取快照
         */
        var GetSnapshootItems = function (IsToday,RoadCode,Lat,Lng,Dist, CB) {
            var url = AppInfo.CustomItems.Url.GetCameraItems;
            var PostData = {
                RoadCode:RoadCode,
                IsToday: IsToday,
                lat:Lat,
                lng:Lng,
                distance:Dist
            };
            AppFrame.Http.Post(url, PostData, function (ret, err) {
                if (CB) CB(ret, err);
            })
        }

        /**
         * 获取云南天气
         * @param CB
         * @constructor
         */
        var GetYnWeather = function (CB) {
            var url = AppInfo.CustomItems.Url.GetYnWeather;
            var PostData = {};
            AppFrame.Http.Post(url, PostData, function (ret, err) {
                var datalist=ret.Data;
                for(var i in datalist){
                    datalist[i].BasicInfo.id=i;
                }
                if (CB) CB(ret, err);
            })
        }

        /**
         * 获取高速天气
         * @param CB
         * @constructor
         */
        var GetHighWayWeather = function (roadCode , lat ,lng , dist ,CB) {
            var url = AppInfo.CustomItems.Url.GetHighWayWeather;
            var PostData = {
                roadCode:roadCode,
                lat:lat,
                lng:lng,
                distance:dist
            };
            var WLS = [];
            var WeatherHighWayDataList = [];
            AppFrame.Http.Post(url, PostData, function (BackData, err) {
                if (BackData && BackData.Result == 1) {
                   // console.log(JSON.stringify(BackData.Data));
                    WLS = BackData.Data.WLS;
                    WeatherHighWayDataList = BackData.Data.Items;
                    for (var i in WeatherHighWayDataList) {
                        var item = WeatherHighWayDataList[i];
                        item.POINTZH = "K" + ("" + item.POINTZH).replace(".", "+");
                        item.LIVES_VATA = GetDateStr(item.LIVES_VATA);
                        var _WLS = GetWeatherInfo(item.LIVES_INDICAT);
                        item.STATU_PIC = _WLS.WL_Pic;
                        item.STATU_TXT = _WLS.WL_Name;
                        item.STATU_Action = _WLS.WL_Info;

                        item.FORE_VATA = GetDateStr(item.FORE_VATA);//预报发布时间
                        item.FORE_VATA_Date = MyDate.stringToDate(item.FORE_VATA);

                        var W1_24 = GetWeatherInfo(item.FORE_W1_24);
                        var W2_24 = GetWeatherInfo(item.FORE_W2_24);
                        item.FORE_Day1 = {};
                        item.FORE_Day1.Date = MyDate.DateToShortDate(new Date(item.FORE_VATA_Date.getFullYear(), item.FORE_VATA_Date.getMonth(), item.FORE_VATA_Date.getDate()));
                        item.FORE_Day1.TEMP = item.FORE_TEMP2_24.replace("/", " ~ ");
                        item.FORE_Day1.MIN_TEMP=item.FORE_Day1.TEMP.split(" ~ ")[0];
                        item.FORE_Day1.MAX_TEMP=item.FORE_Day1.TEMP.split(" ~ ")[1];
                        item.FORE_W1_24_Time = new Date(item.FORE_VATA_Date.getFullYear(), item.FORE_VATA_Date.getMonth(), item.FORE_VATA_Date.getDate(), item.FORE_VATA_Date.getHours() + 12);
                        if (MyDate.GetTimestamp(new Date()) < MyDate.GetTimestamp(item.FORE_W1_24_Time)) {//如果在12小时内
                            item.FORE_Day1.STATU_PIC = W1_24.WL_Pic;
                            item.FORE_Day1.STATU_TXT = W1_24.WL_Name;
                            item.FORE_Day1.STATU_Action = W1_24.WL_Info;
                        } else {
                            item.FORE_Day1.STATU_PIC = W2_24.WL_Pic;
                            item.FORE_Day1.STATU_TXT = W2_24.WL_Name;
                            item.FORE_Day1.STATU_Action = W2_24.WL_Info;
                        }

                        var W1_48 = GetWeatherInfo(item.FORE_W1_48);
                        var W2_48 = GetWeatherInfo(item.FORE_W2_48);
                        item.FORE_Day2 = {};
                        item.FORE_Day2.Date = MyDate.DateToShortDate(new Date(item.FORE_VATA_Date.getFullYear(), item.FORE_VATA_Date.getMonth(), item.FORE_VATA_Date.getDate() + 1));
                        item.FORE_Day2.TEMP = item.FORE_TEMP2_48.replace("/", "~");
                        item.FORE_Day2.MIN_TEMP=item.FORE_Day2.TEMP.split("~")[0];
                        item.FORE_Day2.MAX_TEMP=item.FORE_Day2.TEMP.split("~")[1];
                        item.FORE_Day2.STATU_PIC = W1_48.WL_Pic;
                        item.FORE_Day2.STATU_TXT = W1_48.WL_Name;

                        var W1_72 = GetWeatherInfo(item.FORE_W1_72);
                        var W2_72 = GetWeatherInfo(item.FORE_W2_72);
                        item.FORE_Day3 = {};
                        item.FORE_Day3.Date = MyDate.DateToShortDate(new Date(item.FORE_VATA_Date.getFullYear(), item.FORE_VATA_Date.getMonth(), item.FORE_VATA_Date.getDate() + 2));
                        item.FORE_Day3.TEMP = item.FORE_TEMP2_72.replace("/", "~");
                        item.FORE_Day3.MIN_TEMP=item.FORE_Day3.TEMP.split("~")[0];
                        item.FORE_Day3.MAX_TEMP=item.FORE_Day3.TEMP.split("~")[1];
                        item.FORE_Day3.STATU_PIC = W1_72.WL_Pic;
                        item.FORE_Day3.STATU_TXT = W1_72.WL_Name;

                        var W1_96 = GetWeatherInfo(item.FORE_W1_96);
                        var W2_96 = GetWeatherInfo(item.FORE_W2_96);
                        item.FORE_Day4 = {};
                        item.FORE_Day4.Date = MyDate.DateToShortDate(new Date(item.FORE_VATA_Date.getFullYear(), item.FORE_VATA_Date.getMonth(), item.FORE_VATA_Date.getDate() + 3));
                        item.FORE_Day4.TEMP = item.FORE_TEMP2_96.replace("/", "~");
                        item.FORE_Day4.MIN_TEMP=item.FORE_Day4.TEMP.split("~")[0];
                        item.FORE_Day4.MAX_TEMP=item.FORE_Day4.TEMP.split("~")[1];
                        item.FORE_Day4.STATU_PIC = W1_96.WL_Pic;
                        item.FORE_Day4.STATU_TXT = W1_96.WL_Name

                        var W1_120 = GetWeatherInfo(item.FORE_W1_120);
                        var W2_120 = GetWeatherInfo(item.FORE_W2_120);
                        item.FORE_Day5 = {};
                        item.FORE_Day5.Date = MyDate.DateToShortDate(new Date(item.FORE_VATA_Date.getFullYear(), item.FORE_VATA_Date.getMonth(), item.FORE_VATA_Date.getDate() + 4));
                        item.FORE_Day5.TEMP = item.FORE_TEMP2_120.replace("/", "~");
                        item.FORE_Day5.MIN_TEMP=item.FORE_Day5.TEMP.split("~")[0];
                        item.FORE_Day5.MAX_TEMP=item.FORE_Day5.TEMP.split("~")[1];
                        item.FORE_Day5.STATU_PIC = W1_120.WL_Pic;
                        item.FORE_Day5.STATU_TXT = W1_120.WL_Name;

                        var W1_144 = GetWeatherInfo(item.FORE_W1_144);
                        var W2_144 = GetWeatherInfo(item.FORE_W2_144);
                        item.FORE_Day6 = {};
                        item.FORE_Day6.Date = MyDate.DateToShortDate(new Date(item.FORE_VATA_Date.getFullYear(), item.FORE_VATA_Date.getMonth(), item.FORE_VATA_Date.getDate() + 5));
                        item.FORE_Day6.TEMP = item.FORE_TEMP2_144.replace("/", "~");
                        item.FORE_Day6.MIN_TEMP=item.FORE_Day6.TEMP.split("~")[0];
                        item.FORE_Day6.MAX_TEMP=item.FORE_Day6.TEMP.split("~")[1];
                        item.FORE_Day6.STATU_PIC = W1_144.WL_Pic;
                        item.FORE_Day6.STATU_TXT = W1_144.WL_Name;

                        var W1_168 = GetWeatherInfo(item.FORE_W1_168);
                        var W2_168 = GetWeatherInfo(item.FORE_W2_168);
                        item.FORE_Day7 = {};
                        item.FORE_Day7.Date = MyDate.DateToShortDate(new Date(item.FORE_VATA_Date.getFullYear(), item.FORE_VATA_Date.getMonth(), item.FORE_VATA_Date.getDate() + 6));
                        item.FORE_Day7.TEMP = item.FORE_TEMP2_168.replace("/", "~");
                        item.FORE_Day7.MIN_TEMP=item.FORE_Day7.TEMP.split("~")[0];
                        item.FORE_Day7.MAX_TEMP=item.FORE_Day7.TEMP.split("~")[1];
                        item.FORE_Day7.STATU_PIC = W1_168.WL_Pic;
                        item.FORE_Day7.STATU_TXT = W1_168.WL_Name;

                    }
                     console.log(JSON.stringify(WeatherHighWayDataList));
                    if (CB) CB(WeatherHighWayDataList,err);
                }else{
                    if (CB) CB(null,err);
                }
            })

            function GetWeatherInfo(STATUS) {
                var _WLS;
                if (STATUS.length == 1) {
                    STATUS = "0" + STATUS;
                }
                for (var i in WLS) {
                    if (WLS[i].WL_Code.indexOf(STATUS) > -1) {
                        _WLS = WLS[i];
                        break;
                    }
                }
                if (!_WLS) {
                    _WLS = {
                        WL_Pic: '103.png',
                        WL_Name: '无影响',
                        WL_Info: '气象条件有利于行车，请关注其他路况信息。'
                    }
                }
                return _WLS;
            }

            function GetDateStr(str) {
                var _dateStr = str + "";
                var dateStr = _dateStr.substring(0, 4) + "-" + _dateStr.substring(4, 6) + "-" + _dateStr.substring(6, 8) + " " + _dateStr.substring(8, 10) + ":" + _dateStr.substring(10, 12);
                return dateStr;
            }
        }

        /**
         * 获取交通流量
         * @param CB
         * @constructor
         */
        var GetTrafficFlow=function (CB) {
            var url = AppInfo.CustomItems.Url.GetTrafficFlow;
            var PostData = {debug:0};
            AppFrame.Http.Post(url, PostData, function (ret, err) {

                if (CB) CB(ret, err);
            })
        }

        var GetTrafficFlowStatistics=function (ReportType , PointNo , BeginTime , EndTime , CB) {
            var url = AppInfo.CustomItems.Url.GetTrafficFlowStatistics;
            var PostData = {
                ReportType:ReportType,
                PointNo:PointNo,
                BeginTime:BeginTime,
                EndTime:EndTime
            };
            console.log(JSON.stringify(PostData));
            AppFrame.Http.Post(url, PostData, function (ret, err) {
                if (CB) CB(ret, err);
            })
        }


        return {
            Main: Main,
            GetTafficState: GetTafficState,
            GetSnapshootItems: GetSnapshootItems,
            GetYnWeather: GetYnWeather,
            GetHighWayWeather: GetHighWayWeather,
            GetTrafficFlow:GetTrafficFlow,
            GetTrafficFlowStatistics:GetTrafficFlowStatistics

        }
    }

    return InterFace;

})
