define(function() {

    var Router = function(AppInfo) {
        var WinUrl = AppInfo.RootUrl + "/modules/win-frame.html"; //带头部导航的母版窗口
        var NoHeaderWinUrl = AppInfo.RootUrl + "/modules/win-frame-noheader.html"; //不带头部导航的母版窗口
        var RouterModel = {
            cityWeather: {
                AppID: AppInfo.AppID, //应用ID
                WinName: 'cityWeather-Win', //Win的名称
                WinUrl: AppInfo.BaseUrl + "/modules/weather/city-weather-win.html", //Win的路径地址
                FrameName: 'cityWeatherFrame', //Win中开启Frame的名称
                FrameUrl: AppInfo.BaseUrl + "/modules/weather/city-weather.html", //Win中开启Frame的路径地址
                BgColor: '#fff', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
                Title: '天气详情', //窗口标题
                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
                ShowProgress: false, //是否显示加载进度条
                Bounces: true, //Frame是否开启弹动效果
                ScaleEnabled: false, //Frame中的页面是否可以缩放
                Reload: false //再次切换到此窗口时，是否重新加载Frame
            },
            highWayWeather: {
                AppID: AppInfo.AppID, //应用ID
                WinName: 'highWayWeather-Win', //Win的名称
                WinUrl: AppInfo.BaseUrl + "/modules/weather/highWay-weather-win.html", //Win的路径地址
                FrameName: 'highWayWeatherFrame', //Win中开启Frame的名称
                FrameUrl: AppInfo.BaseUrl + "/modules/weather/highWay-weather.html", //Win中开启Frame的路径地址
                BgColor: '#fff', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
                Title: '天气详情', //窗口标题
                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
                ShowProgress: false, //是否显示加载进度条
                Bounces: true, //Frame是否开启弹动效果
                ScaleEnabled: false, //Frame中的页面是否可以缩放
                Reload: false //再次切换到此窗口时，是否重新加载Frame
            }

        }

        var OpenCityWeatherFrame = function(pageParam) {
            RouterModel.cityWeather.pageParam = pageParam;
            Ext.OpenFrameByModel(RouterModel.cityWeather);
        }

        var OpenCityWeatherWin = function(pageParam) {
            RouterModel.cityWeather.pageParam = pageParam;
            Ext.OpenWinByModel(RouterModel.cityWeather);
        }

        var OpenHighWayWeatherWin = function(pageParam) {
            RouterModel.highWayWeather.pageParam = pageParam;
            Ext.OpenWinByModel(RouterModel.highWayWeather);
        }

        var OpenHighWayWeatherFrame = function(pageParam) {
            RouterModel.highWayWeather.pageParam = pageParam;
            Ext.OpenFrameByModel(RouterModel.highWayWeather);
        }

        return {
            RouterModel: RouterModel,
            OpenCityWeatherFrame: OpenCityWeatherFrame,
            OpenCityWeatherWin: OpenCityWeatherWin,
            OpenHighWayWeatherWin:OpenHighWayWeatherWin,
            OpenHighWayWeatherFrame:OpenHighWayWeatherFrame
        }
    }
    return Router;

})