/**
 * Created by tianling on 2017/2/7.
 */

var trafficFlow = function() {
    var TrafficFlowItems = [];
    var RoadList = [];
    var curRoadName = "";
    var getCurSelectRoadName = function() {
        return curRoadName;
    }
    var getTrafficFlowItems = function() {
        return TrafficFlowItems;
    }

    var getRoadList = function() {
        return RoadList;
    }

    var getData = function(roadName) {
        AppFrame.Ext.ShowProgress("", "", "");
        InterFace.GetTrafficFlow(function(ret, err) {

            AppFrame.Ext.HideProgress();
            if (ret && ret.Result == 1) {
                TrafficFlowItems = ret.Data;

                for (var i in TrafficFlowItems) {
                    TrafficFlowItems[i].id = i;
                    //-------RoadItems-------------
                    var IsHasRoad = false;
                    var Road = {
                        Code: TrafficFlowItems[i].PointInfo.ROAD_NAME,
                        Name: TrafficFlowItems[i].PointInfo.ROAD_NAME,
                        ParentCode: TrafficFlowItems[i].PointInfo.ROAD_TYPE_NAME,
                        Type: ''
                    }
                    for (var r in RoadList) {
                        if (RoadList[r].Name == Road.Name) {
                            IsHasRoad = true;
                            break;
                        }
                    }
                    if (!IsHasRoad && Road.Name && TrafficFlowItems[i].PointInfo.LATITUDETRUE > 0) {
                        RoadList.push(Road);
                    }
                    //--------------------------------------

                    for (var c in TrafficFlowItems[i].PointTraffic) {
                        TrafficFlowItems[i].PointTraffic[c].CarNum = TrafficFlowItems[i].PointTraffic[c].CS1_NUM + TrafficFlowItems[i].PointTraffic[c].CS2_NUM + TrafficFlowItems[i].PointTraffic[c].CS3_NUM + TrafficFlowItems[i].PointTraffic[c].CS4_NUM + TrafficFlowItems[i].PointTraffic[c].CS5_NUM;
                        TrafficFlowItems[i].PointTraffic[c].AvgSpeed = GetAvgSpeed(TrafficFlowItems[i].PointTraffic[c].CS1, TrafficFlowItems[i].PointTraffic[c].CS2, TrafficFlowItems[i].PointTraffic[c].CS3, TrafficFlowItems[i].PointTraffic[c].CS4, TrafficFlowItems[i].PointTraffic[c].CS5);
                        TrafficFlowItems[i].PointTraffic[c].DIRECTIONName = GetDIRECTIONName(TrafficFlowItems[i].PointTraffic[c].DIRECTION, TrafficFlowItems[i].PointInfo.POINT_NAME);
                    }
                }

                RoadList.push({
                    Code: '高速公路',
                    Name: '高速公路',
                    ParentCode: '',
                    Type: "ROADTYPE",
                    open: true,
                    IsParent: true
                });
                RoadList.push({
                    Code: '二级路',
                    Name: '二级路',
                    ParentCode: '',
                    Type: "ROADTYPE",
                    IsParent: true
                });
                AddMarks(roadName);
            } else {
                AppFrame.Ext.Toast("数据读取错误", "top");
            }
        })
    }

    var AddMarks = function(roadName) {
        curRoadName = roadName;
        var screenWidth = api.screenWidth;
        var marks = [];
        if (TrafficFlowItems.length == 0) {
            AppFrame.Ext.Toast("暂无数据", "top");
            return;
            // getData(roadName);
        } else {
            clearMark();
            for (var i in TrafficFlowItems) {
                var item = TrafficFlowItems[i];
                if (roadName && roadName != "") {
                    if (item.PointInfo.ROAD_NAME != roadName) continue;
                }

                var markModel = bMap.mark.getMarkModel();
                markModel.type = 'traffic-flow';
                markModel.id = item.id;
                markModel.lon = item.PointInfo.LONGITUDETRUE;
                markModel.lat = item.PointInfo.LATITUDETRUE;
                var AvgSpeed = 0,
                    carNum = 0,
                    xx = 0;
                for (var c in item.PointTraffic) {
                    carNum += item.PointTraffic[c].CarNum;
                    AvgSpeed += item.PointTraffic[c].AvgSpeed;
                    if (item.PointTraffic[c].AvgSpeed > 0) {
                        xx++;
                    }
                }
                if (carNum > 0 && xx > 0) {
                    AvgSpeed = AvgSpeed / xx;
                    if (AvgSpeed < 30) {
                        markModel.icon = "fs://wgt/traffic/image/traffic-flow/yd_s.png";
                        markModel.activeIcon = "fs://wgt/traffic/image/traffic-flow/active_s.png";
                    }
                    if (AvgSpeed >= 30 && AvgSpeed < 60) {
                        markModel.icon = "fs://wgt/traffic/image/traffic-flow/hm_s.png";
                        markModel.activeIcon = "fs://wgt/traffic/image/traffic-flow/active_s.png";
                    }
                    if (AvgSpeed >= 60) {
                        markModel.icon = "fs://wgt/traffic/image/traffic-flow/tc_s.png";
                        markModel.activeIcon = "fs://wgt/traffic/image/traffic-flow/active_s.png";
                    }
                } else {
                    markModel.icon = "fs://wgt/traffic/image/traffic-flow/tc_s.png";
                    markModel.activeIcon = "fs://wgt/traffic/image/traffic-flow/active_s.png";
                }



                if (screenWidth < 720) {
                    markModel.icon = markModel.icon.replace('.png', '_s.png');
                    markModel.activeIcon = markModel.activeIcon.replace('.png', '_s.png');
                }
                marks.push(markModel);
            }

            if (marks.length > 0) {
                bMap.map.setCenter({
                    coords: {
                        lon: marks[0].lon,
                        lat: marks[0].lat
                    },
                    animation: true
                });

                bMap.mark.add(marks, function(ret) {

                    if (ret) {
                        if (ret.eventType == "click") {
                            bMap.layout.show(mapLayoutRouter.RouterModel.trafficFlow.FrameName);
                            //console.log(JSON.stringify(TrafficFlowItems[ret.id]));
                            api.sendEvent({
                                name: 'getTrafficFlow',
                                extra: TrafficFlowItems[ret.id]
                            });
                        }
                    }
                });
            }


        }
    }

    var openMarkInfoLayout = function() {
        var frame = mapLayoutRouter.RouterModel.trafficFlow;
        bMap.layout.open(frame.FrameName, frame.FrameUrl, 100, "top", null, true, true);
    };

    var removeMark = function(ids) {
        bMap.mark.remove('traffic-flow', ids);
    };

    var clearMark = function() {
        bMap.mark.remove('traffic-flow');
    };

    var GetAvgSpeed = function(cs1, cs2, cs3, cs4, cs5) {
        var count = 5;
        if (cs1 == 0) count--;
        if (cs2 == 0) count--;
        if (cs3 == 0) count--;
        if (cs4 == 0) count--;
        if (cs5 == 0) count--;
        if (count == 0) return 0;
        return AppFrame.Tools.ForDight((cs1 + cs2 + cs3 + cs4 + cs5) / count, 2);
    }

    var GetDIRECTIONName = function(DIRECTION, PointName) {
        var result = "";
        if (PointName.indexOf("-") < 0) {

            if (DIRECTION == 0) { //下行
                result = "下行平均速度：";
            } else { //上行
                result = "上行平均速度：";
            }
        } else {
            var names = PointName.split('-');
            if (DIRECTION == 0) { //下行
                result = names[1] + "至" + names[0] + "平均速度：";
            } else { //上行
                result = names[0] + "至" + names[1] + "平均速度：";
            }
            if (PointName.indexOf("高速") > -1 && PointName.indexOf("昆") > -1) {
                if (DIRECTION == 0) { //下行
                    result = "下行平均速度：";
                } else { //上行
                    result = "上行平均速度：";
                }
            }
        }



        return result;
    }

    return {
        getTrafficFlowItems: getTrafficFlowItems,
        getCurSelectRoadName: getCurSelectRoadName,
        getRoadList: getRoadList,
        getData: getData,
        AddMarks: AddMarks,
        removeMark: removeMark,
        clearMark: clearMark,
        openMarkInfoLayout: openMarkInfoLayout
    }
}();
