define(function() {

    var Router = function(AppInfo) {
        var WinUrl = AppInfo.RootUrl + "/modules/win-frame.html"; //带头部导航的母版窗口
        var NoHeaderWinUrl = AppInfo.RootUrl + "/modules/win-frame-noheader.html"; //不带头部导航的母版窗口
        var RouterModel = {
	            Main: {
	                AppID: AppInfo.AppID, //应用ID
	                WinName: "transit-search-Win", //Win的名称
	                WinUrl: WinUrl, //Win的路径地址
	                FrameName: 'transit-search-frame', //Win中开启Frame的名称
	                FrameUrl: AppInfo.BaseUrl + "/modules/transit/main.html", //Win中开启Frame的路径地址
	                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
	                Title: '', //窗口标题
	                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
	                ShowProgress: false, //是否显示加载进度条
	                Bounces: true, //Frame是否开启弹动效果
	                ScaleEnabled: false, //Frame中的页面是否可以缩放
	                Reload: false //再次切换到此窗口时，是否重新加载Frame
	            },
	            TickInfo:{
	            	AppID: AppInfo.AppID, //应用ID
	                WinName: "transit-TickInfo-Win", //Win的名称
	                WinUrl: WinUrl, //Win的路径地址
	                FrameName: 'transit-TickInfo-frame', //Win中开启Frame的名称
	                FrameUrl: AppInfo.BaseUrl + "/modules/transit/tickInfo.html", //Win中开启Frame的路径地址
	                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
	                Title: '票务信息', //窗口标题
	                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
	                ShowProgress: false, //是否显示加载进度条
	                Bounces: true, //Frame是否开启弹动效果
	                ScaleEnabled: false, //Frame中的页面是否可以缩放
	                Reload: false //再次切换到此窗口时，是否重新加载Frame
	            },
	             trainTicketList:{
	            	AppID: AppInfo.AppID, //应用ID
	                WinName: "trainTicketList-Win", //Win的名称
	                WinUrl: WinUrl, //Win的路径地址
	                FrameName: 'trainTicketList-frame', //Win中开启Frame的名称
	                FrameUrl: AppInfo.BaseUrl + "/modules/transit/trainTicketList.html", //Win中开启Frame的路径地址
	                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
	                Title: '火车票查询', //窗口标题
	                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
	                ShowProgress: false, //是否显示加载进度条
	                Bounces: false, //Frame是否开启弹动效果
	                ScaleEnabled: false, //Frame中的页面是否可以缩放
	                Reload: false //再次切换到此窗口时，是否重新加载Frame
	            },
	             trainSchedules:{
	            	AppID: AppInfo.AppID, //应用ID
	                WinName: "trainSchedules-Win", //Win的名称
	                WinUrl: WinUrl, //Win的路径地址
	                FrameName: 'trainSchedules-frame', //Win中开启Frame的名称
	                FrameUrl: AppInfo.BaseUrl + "/modules/transit/trainschedules.html", //Win中开启Frame的路径地址
	                BgColor: '#efeff4', //Frame的背景色 支持图片和颜色，格式为#fff、#ffffff、rgba(r,g,b,a)等，图片路径支持fs://、widget://等 APICloud 自定义文件路径协议，同时支持相对路径
	                Title: '列车时刻表', //窗口标题
	                slidBackEnabled: false, //是否支持滑动返回。iOS7.0及以上系统中，在新打开的页面中向右滑动，可以返回到上一个页面，该字段只 iOS 有效
	                ShowProgress: false, //是否显示加载进度条
	                Bounces: true, //Frame是否开启弹动效果
	                ScaleEnabled: false, //Frame中的页面是否可以缩放
	                Reload: false //再次切换到此窗口时，是否重新加载Frame
	            }
	        }

        var OpenMainFrame = function() {        
            Ext.OpenFrame(RouterModel.Main.FrameName, RouterModel.Main.FrameUrl, null, RouterModel.Main.BgColor, false, true, false, false);
        }
		
        
        var OpenTicketInfo = function(data) {
        	RouterModel.TickInfo.Para = data;
			Ext.OpenWin(RouterModel.TickInfo.WinName , RouterModel.TickInfo.WinUrl , RouterModel.TickInfo.slidBackEnabled, RouterModel.TickInfo);
		} 
		var OpenTrainTicketList = function(data) {
		console.log(JSON.stringify(data));
        	RouterModel.trainTicketList.Para = data;
			Ext.OpenWin(RouterModel.trainTicketList.WinName , RouterModel.trainTicketList.WinUrl , RouterModel.trainTicketList.slidBackEnabled, RouterModel.trainTicketList);
		} 
		var OpenTrainSchedules = function(data) {
		console.log("wxy +" +JSON.stringify(data));
        	RouterModel.trainSchedules.Para = data;
		Ext.OpenWin(RouterModel.trainSchedules.WinName , RouterModel.trainSchedules.WinUrl , RouterModel.trainSchedules.slidBackEnabled, RouterModel.trainSchedules);
		} 
        return {
            RouterModel: RouterModel,
            OpenMainFrame: OpenMainFrame,
            OpenTicketInfo:OpenTicketInfo,
			OpenTrainTicketList:OpenTrainTicketList,
			OpenTrainSchedules:OpenTrainSchedules
        }
    }
    return Router;

})